<?php

/**
 * 'Terms': Second level page under 'Site'
 * 
 *  @uses $page_id. Must be set in quick-setup.php
 *  @uses $url_privacy_policy
 *  @uses $url_comments_policy
 *  @uses $url_contact_page 
 */


$page_data = array( 

	  'post_title'     => 'Terms Of Use'
	, 'post_type'      => 'page'	
	, 'post_parent'    => $site_id // ID of parent page	
	, 'post_status'    => 'publish'
	, 'comment_status' => 'closed'
	, 'ping_status'    => 'closed'
	, 'post_author'    => $author_id	  
	, 'post_content'   => '<div class="legal-doc" id="terms-of-use">
<h2>1. Acceptance of "Terms of Use" and amendments</h2>
<p>Each time you use or cause access to this web site, you agree to be bound by these <strong>Terms of Use</strong>, as amended from time to time with or without notice to you. Additionally, if you are using a particular service on this web site or accessed via this web site, you will be subject to any rules or guidelines applicable to those services, and they will be incorporated by reference within these <em>Terms of Use</em>.</p>
<p>Please also read this site\'s <a href="'.$url_privacy_policy.'">Privacy Policy</a> and <a href="'.$url_comments_policy.'">Comments Policy</a>, which are incorporated within these <em>Terms of Use</em> by reference.</p>

<h2>2. The site editor\'s service</h2>
<p>This web site and the services provided to you on and via this web site are provided on an "AS IS" basis. You agree that the site editor reserves the right to modify or discontinue provision of this web site and its services, and to remove the data you provide, either temporarily or permanently, at any time, without notice and without any liability towards you. The site editor will not be held responsible or liable for timeliness, removal of information, failure to store information, inaccuracy of information, or improper delivery of information.</p>

<h2>3. Your responsibilities and registration obligations</h2>
<p>In order to use this web site or certain parts of it, you may be required to register for a user account on this web site; in this case, you agree to provide truthful information when requested, and — if a minimum age is required for eligibility for a user account — you undertake that you are at least the required age. By registering for a user account, you explicitly agree to this site\'s <strong>Terms of Use</strong>, including any amendments made by the site editor that are published herein.</p>

<h2>4. Privacy Policy</h2>
<p>Registration data and other personally identifiable information that the site may collect is subject to the terms of the site editor\'s <a href="'.$url_privacy_policy.'">Privacy Policy</a>.</p>

<h2>5. Registration and passwords</h2>
<p>You are responsible for maintaining the confidentiality of your password, and you will be responsible for all usage of your user account and/or user name, whether authorized or not authorized by you. You agree to immediately notify the site editor of any unauthorized use of your user account, user name or password. Passwords may not be lent, shared or communicated to anyone else. Doing so may result in withdrawal of all access privileges.</p>

<h2>6. Your conduct</h2>
<p>You agree that all information or data of any kind, whether text, software, code, music or sound, photographs or graphics, video or other materials ("content"), made available publicly or privately, will be under the sole responsibility of the person providing the said content, or of the person whose user account is used. You agree that this web site may expose you to content that may be objectionable or offensive. The site editor will not be responsible to you in any way for content displayed on this web site, nor for any error or omission.</p>

<h2>7. By using this web site or any service provided, you agree that:</h2>
<ol>
	<li>You will not provide any content or conduct yourself in any way that may be construed as: unlawful; illegal; threatening; harmful; abusive; harassing; stalking; defamatory; libelous; vulgar; obscene; offensive; objectionable; pornographic; designed to interfere with or disrupt the operation of this web site or any service provided; infect with a virus or other destructive or deleterious programming routine; giving rise to civil or criminal liability; or in violation of an applicable local, national or international law;</li>
	<li>You will not impersonate or misrepresent your association with any person or entity; you will not forge or otherwise seek to conceal or misrepresent the origin of any content provided by you;</li>
	<li>You will not collect or harvest any information about other users;</li>
	<li>You will not provide, and you will not use this web site to provide, any content or service in any commercial manner, or in any manner that would involve junk mail, spam, chain letters, pyramid schemes, or any other form of unauthorized advertising or commerce; you will not use this web site to promote or operate any service or content without the site editor\'s prior written consent;</li>
	<li>You will not provide any content that may give rise to the site editor being held civilly or criminally liable, or that may be considered a violation of any local, national or international law, including — but not limited to — laws relating to copyrights, trademarks, patents, or trade secrets.</li>
</ol>

<h2>8. Submission of content on this web site</h2>
<p>By providing any content to this web site:</p>
<ol>
	<li>You agree to grant the site editor a worldwide, royalty-free, perpetual, non-exclusive right and license (including any moral rights or other necessary rights.) to use, display, reproduce, modify, adapt, publish, distribute, perform, promote, archive, translate, and to create derivative works and compilations, in whole or in part. Such license will apply with respect to any form, media, technology already known at the time of provision or developed subsequently;</li>
	<li>You warrant and represent that you have all legal, moral, and other rights that may be necessary to grant the site editor the license specified in this section 7;</li>
	<li>You acknowledge and agree that the site editor will have the right (but not obligation), at the site editor\'s entire discretion, to refuse to publish, or to remove, or to block access to any content you provide, at any time and for any reason, with or without notice.</li>
</ol>

<h2>9. Third-party services</h2>
<p>Goods and services of third parties may be advertised and/or may be made available on or through this web site. Representations made regarding products and services provided by third parties will be governed by the policies and representations made by these third parties. The site editor will not in any manner be liable for or responsible for any of your dealings or interaction with third parties.</p>

<h2>10. Indemnification</h2>
<p>You agree to indemnify and hold harmless the site editor and the site editor\'s representatives, subsidiaries, affiliates, related parties, officers, directors, employees, agents, independent contractors, advertisers, partners, and co-branders, from any claim or demand, including reasonable legal fees, that may be filed by any third party, arising out of your conduct or connection with this web site or service, your provision of content, your violation of these "Terms of Use", or any other violation by you of the rights of another person or party.</p>

<h2>11. Disclaimer of warranties</h2>
<p>You understand and agree that your use of this web site and of any services or content provided (the "service") is at your own risk. Services and content are provided to you "As Is", and the site editor expressly disclaims all warranties of any kind, either implied or expressed, including but not limited to warranties of merchantability, fitness for a particular purpose, and non-infringement.</p>
<p>The site editor makes no warranty, either implied or express, that any part of the service will be uninterrupted, error-free, virus-free, timely, secure, accurate, reliable, or of any quality, nor is it warranted either implicitly or expressly that any content is safe in any manner for download. You understand and agree that neither the site editor nor any participant in the service provides professional advice of any kind and that any advice or any other information obtained via this web site may be used solely at your own risk, and that the site editor will not be held liable in any way.</p>
<p>Some jurisdictions may not allow disclaimers of implied warranties, and certain statements in the above disclaimer may not apply to you as regards implied warranties; the other terms and conditions remain enforceable notwithstanding.</p>

<h2>12. Limitation of liability</h2>
<p>You expressly understand and agree that the site editor will not be liable for any direct, indirect, special, incidental, consequential or exemplary damages; this includes, but is not limited to, damages for loss of profits, goodwill, use, data or other intangible losses (even if the site editor has been advised of the possibility of such damages), resulting from:</p>
<ol>
	<li>The use of services or the inability to use services,</li>
	<li>The cost of obtaining substitute goods and/or services resulting from any transaction entered into on through services,</li>
	<li>Unauthorized access to or alteration of your data transmissions,</li>
	<li>Statements by any third party or conduct of any third party using services, or</li>
	<li>Any other matter relating to services.</li>
</ol>
<p>In some jurisdictions, it is not permitted to limit liability and, therefore, such limitations may not apply to you.</p>

<h2>13. Reservation of rights</h2>
<p>The site editor reserves all of the site editor\'s rights, including but not limited to any and all copyrights, trademarks, patents, trade secrets, and any other proprietary right that the site editor may have in respect of this web site, its content, and goods and services that may be provided. The use of the site editor\'s rights. and property requires the site editor\'s prior written consent. By making services available to you, the site editor is not providing you with any implied or express licenses or rights, and you will have no rights to make any commercial use of this web site or provided services without the site editor\'s prior written consent.</p>

<h2>14. Notification of copyright infringement</h2>
<p>If you believe that your property has been used in any way that could be considered a copyright infringement or a violation of your intellectual property rights, the site editor\'s copyright agent may be contacted via the: <a href="'.$url_contact_page.'">Webmaster</a>.</p>

<h2>15. Applicable law</h2>
<p>You agree that these "Terms of Use" and any dispute arising out of your use of this web site or products or services provided will be governed by and construed in accordance with local laws applicable in Tasmania, notwithstanding any differences between the said applicable legislation and legislation in force at your location. By registering for a user account on this web site, or by using this web site and the services it provides, you accept that jurisdiction is granted to the courts having jurisdiction over the site editor\'s domicile, and that any disputes will be heard by the said courts.</p>

<h2>16. Miscellaneous information</h2>
<ol>
	<li>In the event that any provision of these <strong>Terms of Use</strong> are deemed to conflict with legislation by a court with jurisdiction over the parties, the said provision will be interpreted to reflect the original intentions of the parties in accordance with applicable law, and the remainder of these <strong>Terms of Use</strong> will remain valid and applicable;</li>
	<li>The failure of either party to assert any right under these <strong>Terms of Use</strong> will not be considered to be a waiver of that party\'s right, and the said right will remain in full force and effect;</li>
	<li>You agree that any claim or cause in respect of this web site or its services must be filed within one (1) year after such claim or cause arose, or the said claim or cause will be forever barred, without regard to any contrary legislation;</li>
	<li>The site editor may assign the site editor\'s rights and obligations under these <strong>Terms of Use</strong>; in this event, the site editor will be relieved of any further obligation.</li>
</ol>
</div><!-- /#terms-of-use -->
<p>&nbsp;</p>
'
	  
	); #endArray

