<?php /* 
Plugin Name: Rapid Setup
Plugin URI: http://hyperlinkstudio.com.au
Description: Inspired WP Example Content. Installs common pages and adjusts settings for a CMS site.
Version: 1.0 
Author: Hyperlink Studio.
Author URI: http://hyperlinkstudio.com.au

*/ 

// Get Include Files
include_once 'shortcodes.php';


// Set up the admin page
add_action('admin_menu', 'hls_rapid_setup');


// Define new menu page parameters
function hls_rapid_setup() {
	global $current_user;
	get_currentuserinfo();
	if ($current_user->ID <= 2) { // make page only available to developer
		add_menu_page( 'Rapid Setup', 'Rapid Setup', 'activate_plugins', 'rapid-setup', 'rapid_setup_options', '');
	}	
}


// Define new menu page content
function rapid_setup_options() {
	
	if (!current_user_can('manage_options'))  {
		wp_die( __('You do not have sufficient permissions to access this page.') );
	} else { 
	
		// Get POST vars
		$pagelist   = ( isset($_POST['pagelist']) ) ? $_POST['pagelist'] : array();		
		$username   = ( isset($_POST['username']) ) ? $_POST['username'] : 'webmaster';
		$password   = ( isset($_POST['password']) ) ? $_POST['password'] : 'web1234';	
		$firstname  = ( isset($_POST['firstname']) ) ? $_POST['firstname'] : '';	
		$lastname   = ( isset($_POST['lastname']) ) ? $_POST['lastname'] : '';	
		$usermail   = ( isset($_POST['usermail']) ) ? $_POST['usermail'] : '';	
		$author     = ( isset($_POST['author']) ) ? (int) $_POST['author'] : '';
		$commenting = ( isset($_POST['commenting']) ) ? (int) $_POST['commenting'] : 0;
		$nuke_junk  = ( isset($_POST['nuke_junk']) ) ? (int) $_POST['nuke_junk'] : 0;

		
		// Define pages to be created. Must be same as file-name in 'pages' DIR
		$top_pages = array( 'home', 'posts', 'about', 'questions', 'contact', 'sitemap', 'site' );
		$sub_pages = array( 'privacy', 'terms', 'comments' ); // these come under 'site'
		$pageslist = array_merge( $top_pages, $sub_pages );
	?>
	
        <!-- Output for Plugin Options Page -->
        
		<style>
            #fmuser label { display: block; }
            span.label { display: inline-block; width: 70px; }
			label.pagelist { display: inline !important; padding-right: 5px; }
			div.divider { height: 1px; background: #DFDFDF; margin: 25px 0 20px; }
        </style>   
              
        <div class="wrap">
        
            <h2 id="">Rapid Setup Plugin</h2> 
    
            <?php if ( isset($_GET['setup']) && $_GET['setup'] == true){ ?>
                <div class="updated below-h2" id="message">
                    <p>Setup was run.</p>
                </div>
            <?php } elseif ( isset($_GET['remove']) && $_GET['remove'] == true){ ?>
                <div class="updated below-h2" id="message">
                    <p>Content Removed.</p>
                </div>
            <?php } elseif ( isset($_POST['change_author']) && $_POST['author'] != ''){ ?>
                <div class="updated below-h2" id="message">
                    <p>Author was updated.</p>
                </div>
            <?php } elseif ( isset($_POST['commenting']) && $_POST['commenting'] == '1'){ ?>
                <div class="updated below-h2" id="message">
                    <p>Commenting activated for all Posts.</p>
                </div>
            <?php } elseif ( isset($_POST['empty_trash']) && $_POST['nuke_junk'] == '1'){ ?>
                <div class="updated below-h2" id="message">
                    <p>All rubbish was deleted.</p>
                </div>
            <?php } // endif ?> 
            
    
            <p>Quickly set up new website content and settings. View <a href="<?php echo site_url().'/wp-admin/options.php' ?>" target="_blank">All Settings</a> page.</p>
            
              <h3 style="color: #900">1. Prestart Checklist</h3>
              <ul style="color: #c00; margin-left: 30px; list-style-type:square">
                <li>Make sure Admin email is NOT designs@hyperlinkstudio.com.au</li>
              </ul>             
            
            <h3>2. Create New Users *</h3>
            <i>Client account with editor role: </i> 
            <form name="fm_user" id="fmuser" method="post" action="<?php echo $_SERVER['REQUEST_URI'] ?>&setup=true"><!--  ?setup=true -->
              <label><span class="label">Username</span><input type="text" name="username" value="<?php echo $username ?>"></label>
              <label><span class="label">Password</span><input type="text" name="password" value="<?php echo $password ?>"></label>
              <label><span class="label">First Name</span><input type="text" name="firstname" value="<?php echo $firstname ?>"></label>
              <label><span class="label">Last Lame</span><input type="text" name="lastname" value="<?php echo $lastname ?>"></label>
              <label><span class="label">Email Addr</span><input type="text" name="usermail" value="<?php echo $usermail ?>" size="45"></label>    
              
              <p>* <i>Also creates new administrator</i> &ndash; <b>UN:</b> <code>developer</code> &nbsp; <b>PW:</b> <code>hsmwpem7teyHS</code></p>  
                      
              <h3>3. Auto Config Pages &amp; Settings</h3>
              <ol>
                <li>New pages: Home, Posts About, Contact, Site, Privacy, Terms, Site Map.</li>
                <li>Remove 'Just another WordPress site' tagline. Set permalinks &amp; root folder. </li>            
                <li>Turn Off Commenting & Pingbacks. Populate Pinglist, Blacklists etc.</li>              
              </ol>  
              
              <h3>Create Pages &amp; Posts</h3>  
              <?php foreach ( $pageslist as $page ) { ?>
                <label class="pagelist"><input type="checkbox" name="pagelist[]" value="<?php echo $page ?>" <?php echo checked_pages($pagelist,$page)?>> <?php echo ucwords($page) ?></label>
              <?php } ?>
              
              <br><br>        
              
              <input type="submit" name="run_setup" value="Run Rapid Setup" class="button-primary"> &nbsp;
              <a href="?page=rapid-setup&remove=true" class="button-secondary">Remove All Pages</a>
            </form>    
                   
            
            <div class="divider"></div>
            
            <h3>Reassign Posts Sitewide</h3>
            <i>Assign ALL pages &amp; posts to the following Author: </i> 
            <?php 
			global $wpdb;
			$users = $wpdb->get_results("SELECT ID, display_name FROM {$wpdb->users}", ARRAY_A );
			//var_dump($users);
			?>
            <form name="fm_author" method="post" action="<?php echo $_SERVER['REQUEST_URI'] ?>" style="margin: 4px 0">
            
              <label for="author"><b>Author</b></label> &nbsp; 
              <select name="author" id="author">
                <option value="">Change to ... </option>
                <?php foreach( $users as $user ) { ?>
              	<option value="<?php echo $user['ID'] ?>" <?php selected($user['ID'],$author)?>><?php echo $user['display_name'] ?></option>
                <?php } ?>
              </select>
              &nbsp; &nbsp;
              <input type="submit" name="change_author" value="Assign Author" class="button-primary"> 
            </form>  
            
            <div class="divider"></div> 
            
            <h3>Enable Comments On All Posts</h3>
            <i>Turn on commenting for all Posts only </i> 
            <form name="fm_comments" method="post" action="<?php echo $_SERVER['REQUEST_URI'] ?>" style="margin: 4px 0">
            
                <label><input type="checkbox" name="commenting" value="1" > Turn on Comments</label> &nbsp;
                <input type="submit" name="activate_comments" value="Activate" class="button-primary"> 
                
            </form>                       
            
            <div class="divider"></div> 
            
            <h3>Empty Trash And Autosaves</h3>
            <i>Delete all Trash and auto-saved revisions.</i> 
            <form name="fm_trash" method="post" action="<?php echo $_SERVER['REQUEST_URI'] ?>" style="margin: 4px 0">
            
                <label><input type="checkbox" name="nuke_junk" value="1" > Nuke all junk</label> &nbsp;
                <input type="submit" name="empty_trash" value="Empty Trash" class="button-primary"> 
                
            </form>                 
        </div>
        <!-- End Output for Plugin Options Page -->
        
        <?php
		
        /* ========================= CREATE USER ACCOUNTS ========================= */
		
		// Will not create users if either username or email already exists.
		
        if ( isset($_POST['run_setup']) ) {

			if ( !username_exists('developer') ) {
				// Create new administrator account
				// If successful, returns the new user_id, otherwise returns WP_Error object.
				$developer_id = wp_insert_user( array(
					  'user_login'    => 'developer'			
					, 'user_pass'     => 'hsmwpem7teyHS'			  
					, 'user_nicename' => 'nik-peran'
					, 'user_email'    => 'designs@hyperlinkstudio.com.au'	
					, 'user_url'      => 'http://hyperlinkstudio.com.au'
					, 'display_name'  => 'Nik Peran'					
					, 'nickname'      => 'Nik Peran'	
					, 'first_name'    => 'Nik'	
					, 'last_name'     => 'Peran'	
					, 'role'          => 'administrator'																		
				) );	
			} #/If
			if ( is_wp_error($developer_id) ) {
				echo $result->get_error_message();
			}
					
			if ( !username_exists($username) ) {
				// Create client user account
				// If successful, returns the new user_id, otherwise returns WP_Error object.
				$client_id = wp_insert_user( array(
					  'user_login'    => $username			
					, 'user_pass'     => $password
					, 'user_nicename' => strtolower( $firstname . '-' . $lastname )	
					, 'user_email'    => $usermail	
					, 'user_url'      => $home_url					
					, 'display_name'  => $firstname . ' ' . $lastname					
					, 'nickname'      => $firstname . ' ' . $lastname	
					, 'first_name'    => $firstname	
					, 'last_name'     => $lastname	
					, 'role'          => 'editor'																		
				) );
			} #/If	
			if ( is_wp_error($client_id) ) {
				echo $result->get_error_message();
			}	
			
			// If client user not created use the admin account	as author
			$author_id =  ( is_wp_error($client_id) ) ? 1 : $client_id; 	
					
			
			/* =========================== PAGES SET UP ============================ */
			
			// First delete all sample pages, posts and comments
			$delete_ids = array( '1', '2' ); // 1 = Hello World post. 2 = Sample Page
			foreach( $delete_ids as $id ) wp_delete_post( $id, true );		
		
		
			// Declare variables used in include files
			$pageid    = '';
			$page_data = array(); // set in include pages
			$home_url  = home_url(); // eg http:greatwebsite.com
			$blog_name = ucwords( get_bloginfo('name') ); // eg Great Website
			$url_contact_page    = $home_url . '/contact';	
			$url_site_map        = $home_url . '/site/site-map';	
			$url_privacy_policy  = $home_url . '/site/privacy-policy';
			$url_terms_of_use    = $home_url . '/site/terms-of-use';
			$url_comments_policy = $home_url . '/site/comments-policy';
	
		
			// Insert the Pages 
			foreach( $top_pages as $page ) {
				if ( in_array( $page, $pagelist ) ) {
					include "pages/{$page}.php";
					// Store ID of new page in variable of same name eg $site_id
					${$page.'_id'} = wp_insert_post( $page_data, $wp_error );
				}
			}			
			// Add sub pages under 'Site' - uses $site_id
			foreach( $sub_pages as $subpage ) {
				if ( in_array( $subpage, $pagelist ) ) {
					include "pages/{$subpage}.php";
					wp_insert_post( $page_data, $wp_error );
				}
			}
			
			
			// Add in some categories for the blog section
			$news_id     = wp_create_category('News');
			$articles_id = wp_create_category('Articles');	
			// Delete default category 'Uncategorized'
			wp_delete_category( '1' );		
			
			
			// Now configure options based on pages created
			// See all: http://www.yoursite.com/wp-admin/options.php	
			update_option( 'blog_public', 0 ); // Stops pinging of site during development	
			update_option( 'blogdescription', '' ); // removes 'Just another WordPress site'
			update_option( 'default_comment_status', 'closed' ); // turn off commenting during development
			update_option( 'default_ping_status', 'closed' ); // turn off pings and trackbacks
			update_option( 'page_on_front', $home_id ); // home page of website	
			update_option( 'show_on_front', 'page' );		
			update_option( 'page_for_posts', $posts_id ); // page to use for blog
			update_option( 'permalink_structure', '/%category%/%postname%' ); // custom permalink structure				
			update_option( 'uploads_use_yearmonth_folders', 0 ); // use single folder for images
			update_option( 'date_format', 'jS F, Y' ); // Example jS F, Y = 24th June, 2013
			update_option( 'timezone_string', 'Australia/Perth' ); // Timezone UTC+8 for perth
			update_option( 'default_category', $news_id ); 
			update_option( 'home', get_hyperlink_domain() ); // Web address same as root folder$home_url
			update_option( 'ping_sites', get_hyperlink_pinglist() ); // See below
			update_option( 'comment_max_links', 1 ); // If comment has a link it gets moderated
			//update_option( 'comment_whitelist', 1 ); //  Comment author must have a previously approved comment
			update_option( 'moderation_keys', get_hyperlink_moderation_list() );			
			update_option( 'blacklist_keys', get_hyperlink_blacklist_keys() );
			
			// Flush the permalinks to new URL's
			flush_rewrite_rules();

         } #endIf run_setup        
		
    
        /* =========================== REMOVE PAGES ============================ */
		
        if ( isset($_GET['remove']) && $_GET['remove'] == true){
			
			$remove_pages = array( 'Home', 'Posts', 'About', 'Frequently Asked Questions', 'Contact', 'Site', 'Site Map', 'Privacy Policy', 'Terms Of Use', 'Comments Policy' );	
			foreach( $remove_pages as $page ) {
				$obj = get_page_by_title( $page );
				if ( is_object($obj) ) wp_delete_post( $obj->ID, true ); // deletes from trash too
			}
			
        } #endIf remove pages
		
		
		
		/* ============================= UPDATE AUTHOR ============================== */
		
		if ( isset($_POST['change_author']) ) {
			
			$table = $wpdb->posts; // don't sanitize table name (quotes break the SQL)
			$sql   = $wpdb->prepare( "UPDATE {$table} SET post_author = %d", $author );
			$wpdb->query( $sql );
		
		} #/change_author
		
		
		
		/* =========================== ACTIVATE COMMENTS ============================ */
		
		if ( isset($_POST['activate_comments']) ) {
			if ( $commenting ) {
				// update all posts to use comments
				$table = $wpdb->posts;
				$wpdb->query( "UPDATE {$table} SET comment_status = 'open' WHERE post_type = 'post' AND post_status = 'publish'" );				
			}
		} #/activate_comments		
		
		
		
		/* ===================== DELETE AUTO REVISIONS & TRASH ====================== */
		
		if ( isset($_POST['empty_trash']) ) { 
			if ( $nuke_junk ) {
				// delete auto saved posts & trash
				$table = $wpdb->posts;
				$wpdb->query( "DELETE FROM {$table} WHERE post_type = 'revision' OR post_status = 'trash'" );				
			}
		} #/activate_comments			
		
	
	} #end IfElse

} #end Function



// Return domain URL for this site
function get_hyperlink_domain() {
	$site_url = site_url();
	// If WP in subfolder there will be 3 slashes eg http://localhost/wpcms
	if ( substr_count($site_url, '/') == 3 ) {
		$pos_last_slash = strrpos( $site_url, '/' );
		$domain = substr_replace( $site_url, "", $pos_last_slash );
		return $domain;
	}
	return $site_url;
}

function checked_pages( $pagelist, $page = '' ) {
	$checked = 'checked';
	if ( empty($_POST) ) { 
		return $checked;
	} else {
		if ( in_array( $page, $pagelist ) ) return $checked;
	}
}


// Source: http://codex.wordpress.org/Update_Services
// Goes in 'Writing'
function get_hyperlink_pinglist() {
	$pinglist = sprintf(
'http://rpc.pingomatic.com
http://rpc.twingly.com
http://api.feedster.com/ping
http://api.moreover.com/RPC2
http://api.moreover.com/ping
http://www.blogdigger.com/RPC2
http://www.blogshares.com/rpc.php
http://www.blogsnow.com/ping
http://www.blogstreet.com/xrbin/xmlrpc.cgi
http://bulkfeeds.net/rpc
http://www.newsisfree.com/xmlrpctest.php
http://ping.blo.gs/
http://ping.feedburner.com
http://ping.syndic8.com/xmlrpc.php
http://ping.weblogalot.com/rpc.php
http://rpc.blogrolling.com/pinger/
http://rpc.technorati.com/rpc/ping
http://rpc.weblogs.com/RPC2
http://www.feedsubmitter.com
http://blo.gs/ping.php
http://www.pingerati.net
http://www.pingmyblog.com
http://geourl.org/ping
http://ipings.com
http://www.weblogalot.com/ping'	
	);
	return $pinglist;
}


// Sources: 
// http://digwp.com/2010/02/stop-spammers-custom-blacklist/
// http://www.mediatwopointoh.com/wp-content/uploads/2011/02/spamblacklist.txt
// Goes in 'Discussion'
function get_hyperlink_moderation_list() {
	$modlist = sprintf(
'. ,
? ,
myspace
youtube'	
	);
	return $modlist;
}

// Source: http://codex.wordpress.org/Update_Services
// Goes in 'Discussion'
function get_hyperlink_blacklist_keys() {
	$blacklist = sprintf(
'-online
.twinstatesnetwork.
1031-exchange-properties
125.47.41.166
148.233.159.58
165.29.58.126
189.19.60.94
189.4.80.48
190.10.68.228
194.68.238.7
195.244.128.237
195.250.160.37
196.207.15.201
196.207.40.213
196.217.249.190
1website
200.51.41.29
200.65.127.161
200.68.73.193
201.210.1.148
201.234.19.13
202.115.130.23
206.245.173.42
207.41.73.13
210.212.228.7
210.22.158.132
213.239.210.120
216.195.53.11
216.213.199.53
217.141.105.203
217.141.106.201
217.141.109.205
217.141.249.203
217.141.250.204
217.65.31.167
218.63.252.219
219.209.194.156
220.178.98.59
221.122.43.124
222.127.228.5
222.221.6.144
222.240.212.3
222.82.226.145
24.222.34.242
4best-health.
4u
58.68.34.59
61.133.87.226
64.22.107.90
64.22.110.2
64.22.110.34
67.227.134.4
69.89.31.233
70.86.141.82
72.34.55.196
74.53.227.178
74.86.121.13
80.227.1.100
80.227.1.101
80.231.198.77
83.136.195.229
85.13.219.98
86.96.226.13
86.96.226.14
86.96.226.15
87.101.244.6
87.101.244.9
88.147.165.40
88.198.107.250
88.249.63.217
92.112.81.15
[/url]
[url=
accident insurance
ace-decoy-anchors.
aceteminophen
acnetreatment
adderall
adipex
advicer
agentmanhoodragged
alina1026@gmail.com
allauctions4u.
allegra
alprazolam
ambien
amitriptyline
anal
anime
anthurium
apexautoloan
ass
ativan
atkins
augmentation
auto insurance
available-credit.
baccarat
baccarrat
balder
ballhoneys
bannbaba.
bbeckford@tscamail.com
bdsm
bestweblinks
bitch
bitches
blackjack
bllogspot
blow-ebony-job
boat-loans
bondage
bontril
booker
breast
butthole
buy online
buy-levitra-online
buy-phentermine
buy-porn-movie-online
buy-viagra
buy-xanax
buycialis
byob
c**k
caclbca.
car insurance
car-rental-e-site
car-rentals-e-site
carisoprodol
cash-services.
casino
casino-games
casinos
casualty insurance
cephalaxin
cephalexin
chatroom
cheapcarleasehire
cheapdisneyvacationspackagesandtickets
cialis
cialisonline
citalopram
clitoris
clomid
cock
college-knowledge
company-si.
contentattack.com
coolcoolhu
coolhu
copulationformmeet
craps
credit card
credit-card-debt
credit-cards
credit-dreams
credit-report-4u
creditcard
cricketblog
cumshot
cunt
currency-site
cwas
cyclen
cyclobenzaprine
cymbalta
dating
dating-e-site
dawsonanddadrealty.
day-trading
debt
debt-consolidation
debt-consolidation-consultant
depressioninformation.net
diabservis.
dick
didrex
diet-pill
diet-pills
diggdigg.co.cc
discreetordering
dissimilarly
distanceeducation
doxycycline
duty-free
dutyfree
enhancement
ephedra
equityloans
facial
finalsearch
finance
fioricet
flamingosandfriends.
flower4us
flowers
flowers-leading-site
forex
free-cumshot-gallery
free-online-poker
free-poker
free-ringtones
freenet
freenet-shopping
fuck
fucking
fukk
gambling
gambling-
gay
gdf
gds
generic-viagra
h1.ripway
hair-loss
hawaiiresortblog
headsetplus
health insurance
health-insurancedeals-4u
hentai
holdem
holdempoker
holdemsoftware
holdemtexasturbowilson
home-loans-inc.
homeequityloans
homefinance
homemade_sedatives
homeowners insurance
hotel
hotel-dealse-site
hotele-site
hotelse-site
hqtube
hydrocodone
hydrocone
hypersearcher
idealpaydayloans
ifinancialzone
illcom.
incest
incrediblesearch.
inforeal07.
insurance
insurance-quotesdeals-4u
insurancedeals-4u
investment-loans
ionamin
irs-problems
jbakerstudios.
jrcreations
jrcreations.
k74v78@yahoo.com
kasino
kenwoodexcelon
land.ru
laserhairremovalhints
lawyerhints
leading-site
lesbian
levitra
levitra.
lexapro
life insurance
lifeinsurancehints
lipitor
lisinopril
loan
lopressor
lorazepam
lunestra
lung-cancer
luxury-linen
lyndawyllie.
m2mvc.
macinstruct
madesukadana.
male
manicsearch
mark336699@gmail.com
maryknollogc.org
mayopr.com
meridia
mightyslumlords.com
mlmleads.name
mohegan sun
mortgage
mortgage-4-u
mortgage-certificates
mortgagequotes
mortgagerefinancingtoday.
musicfastfinder
mycolorcontacts
mydivx.
naked
nemasoft.
netfirms.
nipple
nude
nysm.
online casino
online casino guide
online poker
online slots
online-casino
online-casinos
online-debt-consolidation
online-gambling
online-pharmacy
onlinegambling-4u
orgasm
ottawavalleyag
ownsthis
oxycodone
oxycontin
pacific-poker
palm-texas-holdem-game
parmacy
party-poker
paxil
payday
payday loan
payday-loan
payday-loans
penis
percocet
personal-loans
pest-control
pharmacy
phentermine
phentermine.
pills
pills-best.
pills-home.
pimpdog@gmail.com
pizzareviewblog
platinum-celebs
poker
poker-chip
poker-games
poker-hands
poker-online
porn
porno
pornstar
pornstars
poze
prescription
prohosting.
propecia
protonix
prozac
pussy
rakeback
realtorlist
realtorx2
refinance-san-diego
rental
rental-car-e-site
ringtone
ringtones
romanedirisinghe
roulette
searchingrobot.
seethishome
servegame.com
servehttp.com
servepics.com
sex
shaffelrecords.
shemale
shit
sightstickysubmit
skank
slot-machine
slotmachine
slots
soma
student-loans
swingers-search.com
t35.
taboo
tenuate
term insurance quote
texas hold\'em
texas holdem
texas-hold-em-rules
texas-hold-em.
texas-holdem
thorcarlson
thx
tigerspice
tits
titties
top-e-site
top-franchise
top-site
trablinka
trading
tramadol
trancetechno.
transexual
transsexual
tredgf
trim-spa
turbo-tax
ugly.as
ultram
united24.
valeofglamorganconservatives
valium
valtrex
varied-poker.
vcats
viagra
viagra-online
viagrabuy
viagraonline
vicodin
vicoprofen
vincedel422@gmail.com
vioxx
visa
vmasterpiece
vneighbor
voyeurism
vpawnshop
vselling
vsymphony
websamba.
whore
wiu.edu
world-series-of-poker
wowad
wpdigger.com
xanax
xenical
xrated
xxx
ycba
ytmnsfw.com
z411.
zenegra
zithromax
zolus
zyban
Ð§
Ð´
Ð¶
Ð¸
Ð'	
	);
	return $blacklist;
}