<?php
/**
 * shortcodes.php
 * 
 * Register some shortocodes for use during development.
 */



// [dev_notes]
// Allows reminders to be put between the square brackets in edit mode but prints nothing to the live site
function cms_dev_notes() {
    return '';
}
add_shortcode( 'dev_notes', 'cms_dev_notes' );



// [home_content]
// A list of pages and posts
function cms_home_content() {
	
	// Get Home page id for use in exclusion list
	$homeID   = get_option( 'page_on_front' );	
	
	$content = '';
	
	// Set some default styles
	$content =	'<style type="text/css"><!--'."\n";
	$content .=	"#contents table { width:100%; }\n";	
	$content .=	"#contents table td { vertical-align:top; }\n";
	$content .=	"#contents ul { margin-left: 20px !important; }\n";	
	$content .=	"#contents ul li { padding-bottom: 4px; font-size: 12px; }\n";	
	$content .=	"--></style>\n";
	
	$content .= "<div id=\"contents\">\n";
	
	$content .= "<table>\n";	
	$content .= "<tr>\n";	
	$content .= "<td>\n";	
	
	// Create a list of Pages
	$content .= "<p><em>Pages</em></p>\n";	
	$content .= "<ul>\n";
	$pages_qry = new WP_Query( array( 'post_type' => 'page', 'orderby' => 'menu_order', 'post__not_in' => array( $homeID ) ) );
	$content .= '<li><a href="/">Home Page</a></li>'."\n";
	while ( $pages_qry->have_posts() ) {
		$pages_qry->the_post();
		$content .= '<li><a href="' . get_permalink(get_the_ID()) . '">' . get_the_title() . '</a></li>'."\n";    
	} #endWhile
	wp_reset_postdata();
	$content .= "</ul>\n";
	
	$content .= "</td>\n";
	$content .= "<td>\n";
	
	// Create a list of Posts
	$content .= "<p><em>Articles</em></p>\n";
	$content .= "<ul>\n";
	$posts_qry = new WP_Query( array( 'post_type' => 'post', 'orderby' => 'title', 'order' => 'ASC' ) );
	while ( $posts_qry->have_posts() ) {
		$posts_qry->the_post();
		$content .= '<li><a href="' . get_permalink(get_the_ID()) . '">' . get_the_title() . '</a></li>'."\n";    
	} #endWhile
	wp_reset_postdata();
	$content .= "</ul>\n";
	
	$content .= "</td>\n";
	$content .= "</tr>\n";
	$content .= "</table>\n";	
	
	$content .= "</div>\n";
	
    return $content;
}
add_shortcode( 'home_content', 'cms_home_content' );

