<?php
include WP_AJAX_PRO_PATH . 'admin/sections/navigation.php';
include WP_AJAX_PRO_PATH . 'admin/includes/common.php';

$mode = (isset($_REQUEST['mode'])) ? (int)$_REQUEST['mode'] : '';
$cond_id  = (isset($_REQUEST['cond_id'])) ? (int)$_REQUEST['cond_id'] : '';

$form_id = (isset($_REQUEST['form_id'])) ? (int)$_REQUEST['form_id'] : '';

$form_info = $form->getInfo($form_id, 1);
list($form_name, $form_description) = $form_info;

$fields_list = $form_fields->getData($form_id);
//echo '<pre>'; print_r($fields_list); echo '</pre>';

/* [START] Build HTML Fields Options */
function build_fields_dd($selected_id = '', $fields_list, $afp_app) {
    $html_fields_options = '';

    foreach($fields_list as $f_v) {
        $selected = ($f_v['id'] == $selected_id) ? 'selected="selected"' : '';      
        $html_fields_options .= '<option '.$selected.' value="'.$f_v['id'].'">'.$afp_app->HtmlEntities($f_v['text']).'</option>';
    }
    return $html_fields_options;
}
/* [END] Build HTML Fields Options */

if( ! empty($_POST) ) {
    if(isset($_POST['action'])) {
        $action = $_POST['action'];
    }
    
    switch ($action) {
        // Add
        case 'add':
            $output = $form_fields->addCondition($form_id);
        break;

        // Edit
        case 'edit':
            $output = $form_fields->editCondition($cond_id);
        break;    
    
        // Delete
        case 'delete':
            $cond_id = (int)$_POST['cond_id'];
            $output = $form_fields->deleteCondition($cond_id);
        break;
    }
}

$page_title = 'Manage Fields Conditionals';

$edit_form_fields_conditionals_page = 1;

if(isset($output)) {
    $note_status = ($output['success'] == 1) ? 'ok' : 'error';
    ?>
    <div class="note_<?php echo $note_status; ?>"><?php echo $output['message']; ?></div>
<?php 
}
?>

<div style="width:100%; clear:both;">
    <div style="float: left;"><h2><?php echo $form_name; ?></h2></div>
    <div style="float: right; margin:12px 0 0 0;"><strong><a href="<?php echo $afp_conf['url']['path_to_manage_forms']; ?>&afp_module=edit_form_fields&form_id=<?php echo $form_id; ?>">&laquo; Back to form's fields list</a></strong></div>
    <div style="clear: both;"></div>
</div>

<?php if($form_description) { ?>
    <div class="desc"><?php echo $form_description; ?></div>
<?php } ?>
    <div class="desc small_area"><span class="notice">About</span>&nbsp;This feature is in development and was released due to the high demand from the "AJAX Form Pro" users. This is useful, if you need to show/hide fields based on other fields input, make them required/optional etc. <p><a target="_blank" href="http://www.ajaxformpro.com/wiki/?p=576">Click here to read the WIKI</a> in order to understand how to use this feature.</p></div>   
    
    <?php
    // Check if there are any conditions already added in the database
    $field_conditionals = $db->getAll(
        "SELECT id, if_field_id, cond_type, cond_type_value, make_field_id, to_be
        FROM `".$conf['db']['prefix']."fields_conditionals`        
        WHERE form_id='".$form_id."'"
    );
    
    if(!empty($field_conditionals)) {
        $cond_types_text = array(
            'has_value' => 'HAS the value',
            'has_not_value' => 'HAS NOT the value',
            'bigger_than' => 'Is bigger than',
            'smaller_than' => 'Is smaller than',
            'regexp' => 'Matches Regular Expression',
            'equal_with_field' => 'Has the same value as'
        );
        
        $to_be_text = array(
            'req' => 'Required',
            'not_req' => 'Not Required',
            'visible_req' => 'Visible &amp; Required',
            'visible_not_req' => 'Visible &amp; Not Required',
            'hidden' => 'Hidden',
            
        );
        ?>
        <h2>Current Conditions</h2>
        
        <table class="fields" width="100%">
            <?php
            foreach($field_conditionals as $fd) {
                $if_field_id_text = $db->getOne("SELECT text FROM `".$conf['db']['prefix']."fields` WHERE id='".$fd['if_field_id']."'");
                $make_field_id_text = $db->getOne("SELECT text FROM `".$conf['db']['prefix']."fields` WHERE id='".$fd['make_field_id']."'");
                
                if($fd['cond_type'] == 'equal_with_field') {
                    $cond_type_value = $db->getOne("SELECT text FROM `".$conf['db']['prefix']."fields` WHERE id='".$fd['cond_type_value']."'");
                } else {
                    $cond_type_value = $fd['cond_type_value'];
                }
                
                if($fd['id'] == $cond_id && $mode == 'edit') {
                    // EDIT MODE
                ?>
            <tr>
            <td colspan="2" style="background-color: rgb(235, 223, 152);">
                
            <form action="<?php echo $afp_conf['url']['path_to_manage_forms']; ?>&afp_module=edit_form_fields_conditionals&form_id=<?php echo $form_id; ?>" method="post"> 
                <table>
                    <tr>
                        <td colspan="2" nowrap="nowrap" valign="top">                   
                            <a name="edit_<?php echo $fd['id']; ?>"></a><br />
                            <p><strong>IF</strong> &nbsp; <select required="required" name="if_field_id"><option value="">[Select Field...]</option><?php echo build_fields_dd($fd['if_field_id'], $fields_list, $afp_app); ?></select> &nbsp;
                                <select required="required" id="cond_type_field_edit" name="cond_type">
                                    <option <?php if($fd['cond_type'] == 'has_value') { echo 'selected="selected"'; } ?> value="has_value">Has Value</option>
                                    <option <?php if($fd['cond_type'] == 'has_not_value') { echo 'selected="selected"'; } ?> value="has_not_value">Has Not Value</option>
                                    <option <?php if($fd['cond_type'] == 'bigger_than') { echo 'selected="selected"'; } ?> value="bigger_than">Is Bigger Than</option>
                                    <option <?php if($fd['cond_type'] == 'smaller_than') { echo 'selected="selected"'; } ?> value="smaller_than">Is Smaller Than</option>
                                    <option <?php if($fd['cond_type'] == 'regexp') { echo 'selected="selected"'; } ?> value="regexp">Matches Regular Expression</option>
                                    <option <?php if($fd['cond_type'] == 'equal_with_field') { echo 'selected="selected"'; } ?> value="equal_with_field">Equal with Field</option>
                                </select>
                                &nbsp; <input required="required" type="text" id="cond_type_value_text_edit" name="cond_type_value" value="<?php echo $fd['cond_type_value']; ?>" />
                                <select required="required" id="cond_type_value_field_id_edit" name="cond_type_value">
                                <option value="">[Select Field...]</option>
                                <?php echo build_fields_dd($fd['cond_type_value'], $fields_list, $afp_app); ?>
                                </select>
                            </p>
                            <p> &nbsp; <strong>THEN MAKE THE FOLLOWING FIELD</strong> 
                               &nbsp; <select required="required" name="make_field_id"><option value="">[Select Field...]</option><?php echo build_fields_dd($fd['make_field_id'], $fields_list, $afp_app); ?></select> 
                                &nbsp; <strong>TO BE</strong> &nbsp; 
                                <select required="required" name="to_be">
                                    <option <?php if($fd['to_be'] == 'req') { echo 'selected="selected"'; } ?> value="req">Required</option>
                                    <option <?php if($fd['to_be'] == 'not_req') { echo 'selected="selected"'; } ?> value="not_req">Not Required</option>
                                    <option <?php if($fd['to_be'] == 'visible_req') { echo 'selected="selected"'; } ?> value="visible_req">Visible &amp; Required</option>
                                    <option <?php if($fd['to_be'] == 'visible_not_req') { echo 'selected="selected"'; } ?> value="visible_not_req">Visible &amp; Not Required</option>
                                    <option <?php if($fd['to_be'] == 'hidden') { echo 'selected="selected"'; } ?> value="hidden">Hidden</option>
                                </select> &nbsp;</p>
                               
                          
                            
                        </td>
                        <td>
                            <input type="hidden" name="cond_id" value="<?php echo $cond_id; ?>" />                            
                            <input type="hidden" name="action" value="edit" />
                            
                            <input class="fancy-button-base green" type="submit" name="save_changes" value="Save Changes" /><br /><br />
                            <a href="<?php echo $afp_conf['url']['path_to_manage_forms']; ?>&afp_module=edit_form_fields_conditionals&form_id=<?php echo $form_id; ?>"><font color="red">Cancel</font></a>
                        </td>
                    </tr>
            </table>
            </form>
                            
                        </td>
                    </tr>
                <?php
                } else {
                ?>

                    <tr>
                        <td>
                            IF <strong><?php echo $if_field_id_text; ?></strong>
                            &nbsp; <?php echo $cond_types_text[$fd['cond_type']]; ?> 
                            &nbsp; <strong><?php echo $cond_type_value; ?></strong>, &nbsp;
                            THEN <strong><?php echo $make_field_id_text; ?></strong> IS
                            &nbsp;<strong><?php echo $to_be_text[$fd['to_be']]; ?></strong>
                            &nbsp;
                            <?php if($fd['id'] == $cond_id) { echo '<em><strong><font color="green">* just edited</font></strong></em>'; } ?>
                        </td>
                        <td>
                            <form action="" method="post">               
                                <input type="hidden" name="cond_id" value="<?php echo $fd['id']; ?>" />
                                <input type="hidden" name="action" value="delete" />

                                <a style="font-size:16px;" class="fancy-button-base light" href="<?php echo $afp_conf['url']['path_to_manage_forms']; ?>&afp_module=edit_form_fields_conditionals&form_id=<?php echo $form_id; ?>&mode=edit&cond_id=<?php echo $fd['id']; ?>#edit_<?php echo $fd['id']; ?>">Edit</a>

                                <input style="font-size:11px;" class="fancy-button-base red" type="submit" name="submit" value="Delete" onclick="return confirm('Are you sure?');" />
                            </form>                        
                        </td>
                    </tr>
                
            <?php
                }
            }
            ?>   
        </table>
 
        <?php
    }
    ?>
    <h2>Add Condition</h2>
    
    <form id="add_condition_form" name="add_condition_form" action="" method="post">
        <input type="hidden" name="form_id" value="<?php echo $form_id; ?>" />
    
        <table class="fields" width="100%">
            <tr>
                <td colspan="2" nowrap="nowrap" valign="top">
                    <p><strong>IF</strong> &nbsp; <select required="required" name="if_field_id"><option value="">[Select Field...]</option><?php echo build_fields_dd('', $fields_list, $afp_app); ?></select> &nbsp;
                        <select required="required" id="cond_type_field" name="cond_type">
                            <option value="has_value">Has Value</option>
                            <option value="has_not_value">Has Not Value</option>
                            <option value="bigger_than">Is Bigger Than</option>
                            <option value="smaller_than">Is Smaller Than</option>
                            <option value="regexp">Matches Regular Expression</option>
                            <option value="equal_with_field">Equal with Field</option>
                        </select>
                        &nbsp; <input required="required" type="text" id="cond_type_value_text" name="cond_type_value" value="" />
                        <select required="required" id="cond_type_value_field_id" name="cond_type_value">
                        <option value="">[Select Field...]</option>
                        <?php echo build_fields_dd('', $fields_list, $afp_app); ?>
                        </select>
                    </p>
                    <p> &nbsp; <strong>THEN MAKE THE FOLLOWING FIELD</strong> 
                       &nbsp; <select required="required" name="make_field_id"><option value="">[Select Field...]</option><?php echo build_fields_dd('', $fields_list, $afp_app); ?></select> 
                        &nbsp; <strong>TO BE</strong> &nbsp; 
                        <select required="required" name="to_be">
                            <option value="req">Required</option>
                            <option value="not_req">Not Required</option>
                            <option value="visible_req">Visible &amp; Required</option>
                            <option value="visible_not_req">Visible &amp; Not Required</option>
                            <option value="hidden">Hidden</option>
                        </select> &nbsp;</p>
                </td>
            </tr>               
            <tr>
                
                <td colspan="2"><input type="submit" name="submit" class="fancy-button-base green" value="+ ADD" /></td>
            </tr> 
        </table>
        
            <input type="hidden" name="action" value="add" />
        </form>
           
<?php
include 'sections/footer.php';
?>