<?php
/**
 * Afp_Application
 * 
 * @package AJAX Form Pro v2
 * @author Gabriel Comarita
 * @copyright 2011
 * @version $Id$
 * @access public
 */
class Afp_Application {
    public function __construct($conf = array(), $db = array()) {
        $this->conf = $conf;
        $this->db = $db;
    }
    
    /**
     * Afp_Application::redirect()
     * 
     * @param mixed $to
     * @return void
     */
    public function redirect($to) {
        header('Location: '.$to);
        exit;
    }
	/**
	 * PrepareValues()
	 * 
	 * @param mixed $data
	 * @return
	 */
	public function PrepareValues($data) {
    	if (is_array($data)) {
    	    $data = array_map(array('Afp_Application', 'PrepareValues'), $data); 
    	} else {
            // remove whitespaces (not a must though)
            $data = trim($data); 
                        
            // apply stripslashes if magic_quotes_gpc is enabled
            if(get_magic_quotes_gpc()) {
                $data = stripslashes($data);
            }
                      
            // a mySQL connection is required before using this function
            $data = mysql_real_escape_string($data);
    	}
        
        return $data;
	}  
        
	/**
	 * HtmlEntities()
	 * 
	 * @param mixed $data
	 * @return
	 */    
    function HtmlEntities($data) {
    	if (is_array($data)) {
    	    $data = array_map(array('Afp_Application', 'HtmlEntities'), $data); 
    	} else {
            // remove whitespaces (not a must though)
            $data = htmlentities(trim($data), ENT_QUOTES, 'UTF-8');
    	}
        
        return $data;        
    }    
        
    /**
     * Afp_Application::DoJsonEncode()
     * 
     * @param bool $a
     * @return
     */
    function DoJsonEncode($a=false)
    {
        if(!$a) return false;
        
        if(function_exists('json_encode')) {
            return json_encode($a);
        } else {
            include WP_AJAX_PRO_URL .'includes/class.services.json.php';
            
            // create a new instance of Services_JSON
            $json = new Services_JSON();
            return $json->encode($a, 0);
        }
    }       

    /**
     * Afp_Application::DoJsonDecode()
     * 
     * @param bool $a
     * @return
     */
    function DoJsonDecode($a=false)
    {
        if(!$a) return false;
        
        if(function_exists('json_decode')) {
            return json_decode($a);
        } else {
            include WP_AJAX_PRO_URL .'includes/class.services.json.php';
            
            // create a new instance of Services_JSON
            $json = new Services_JSON();
            return $json->decode($a, 0);
        }
    }
    
    /**
     * Afp_Application::encrypt()
     * 
     * @param mixed $key
     * @param mixed $string
     * @return
     */
    function encrypt($key, $string) {
        if(function_exists('mcrypt_encrypt') && function_exists('mcrypt_decrypt')) {
            $return = base64_encode(mcrypt_encrypt(MCRYPT_RIJNDAEL_256, md5($key), $string, MCRYPT_MODE_CBC, md5(md5($key))));
        } else {
            include 'class.encryption.php';        
            $crypt = new encryption_class;
            $return = $crypt->encrypt($key, $string, 30);
        }
        return $return;
    }        

    /**
     * Afp_Application::decrypt()
     * 
     * @param mixed $key
     * @param mixed $encrypted
     * @return
     */
    function decrypt($key, $encrypted) {
        if(function_exists('mcrypt_encrypt') && function_exists('mcrypt_decrypt')) {
            $return = rtrim(mcrypt_decrypt(MCRYPT_RIJNDAEL_256, md5($key), base64_decode($encrypted), MCRYPT_MODE_CBC, md5(md5($key))), "\0");
        } else {
            include 'class.encryption.php';
            $crypt = new encryption_class;
            $return = $crypt->decrypt($key, $encrypted);
        }
        return $return;
    }            

    /**
     * Afp_Application::checkField()
     * 
     * @param mixed $field_id
     * @return void
     */
    public function checkField($field_id) {
        if(!$field_id) {     
            exit('No field id was requested!');
        } else {
            // Check if the field exist
            if( ! $this->db->getCount("SELECT id FROM `".$this->conf['db']['prefix']."fields` WHERE id='".$field_id."'")) {
                exit('The Requested Field ID does not exist in the records. Click <a href="manage_forms.php">here</a> to go to the forms list.');
            }
        }        
    }
    
    /**
     * Afp_Application::checkMergedFieldsRowID()
     * 
     * @param mixed $row_id
     * @return void
     */
    public function checkMergedFieldsRowID($row_id) {
        if( ! $row_id ) {     
            exit('No Row ID was requested!');
        } else {
            // Check if the field exist
            if( ! $this->db->getCount("SELECT id FROM `".$this->conf['db']['prefix']."rows` WHERE id='".$row_id."'")) {
                exit('The Requested Row ID does not exist in the records. Click <a href="manage_forms.php">here</a> to go to the forms list.');
            }
        }        
    }
    
    /**
     * Afp_Application::deleteFromUploads()
     * 
     * @param mixed $dir
     * @return void
     */
    public function deleteFromUploads($dir, $delete_before_date, $main_folder = 1) {
                
    	$list = @scandir($dir);
    
    	if( ! empty($list) ) { // Are there any files/folders in the directory?
    
            //echo date ("F d Y H:i:s.", $delete_before_date).'<br />';
    
            //echo '<pre>'; print_r($list); echo '</pre>';
    
    		foreach($list as $location) {
    		  
   			    if ($location != '.' && $location != '..') {
    
    				if(is_dir($dir.$location)) // Is the location a directory?
    				{
    				    
    					if(!@rmdir($dir.$location)) // Empty directory? Remove it
    					{
    						$this->deleteFromUploads($dir.$location.'/', $delete_before_date, 0); // Not empty? Delete the files inside it
    					}
                        
    				} else {
    				    
                        //echo $dir.$location.'<br />';
    				    
    			       // Only delete files within folders located in the directories created by the "Upload Attachment" feature
                       if($main_folder == 0) { 
                        
                           // File Modified Time > Delete Before Date
                           $file_modification_time = @filemtime($dir.$location);
                           //echo date ("F d Y H:i:s.", $file_modification_time).'<br />';
                           
                           if($file_modification_time) { 
                               $proceed = ($delete_before_date > $file_modification_time) ? true : false;
                                        
                               if($proceed) {         
    			                   @unlink($dir.$location); // Delete the file
        			           }
                           }
                       }
                       
                    }
    			}
    		}
    	}
        
        // Remove empty sub-folders, but do not remove the 'uploads' folder.
        if($main_folder == 0) {
            @rmdir($dir);
        }
    }   
    
    /**
     * Manage_Forms::months2Number()
     * 
     * @return
     */
    public function months2Number() {
        return array(
            'January' => '01',
            'February' => '02',
            'March' => '03',
            'April' => '04',
            'May' => '05',
            'June' => '06',
            'July' => '07',
            'August' => '08',
            'September' => '09',
            'October' => '10',
            'November' => '11',
            'December' => '12'
        );
}
    
    /**
     * Manage_Forms::timestamp2Date()
     * 
     * @param mixed $timestamp
     * @return
     */
    public function timestamp2Date($timestamp, $format = 'd-F-Y H:i:s') {
        return date($format, $timestamp);
    }

    /**
     * Manage_Forms::date2Timestamp()
     * 
     * @param mixed $full_date
     * @return
     */
    public function date2Timestamp($full_date) {
        list($date, $time) = explode(' ', $full_date);
       
        list($day, $month, $year) = explode('-', $date);
        
        if(!$time) {
            $time = '00:00:00';
        }
            
        list($hour, $minutes, $seconds) = explode(':', $time);
        
        $months = $this->months2Number();
        $no_month = $months[$month];
        
        return mktime($hour, $minutes, $seconds, $no_month, $day, $year);
    }
    
    /**
     * Afp_Application::isGdLoaded()
     * 
     * @return
     */
    public function isGdLoaded() {
        if( !function_exists('ImageCreate') && !extension_loaded('gd') ) {
            return false;
        }
        return true;
    }
    
    /**
     * Afp_Application::changeSecurityKey()
     * 
     * @return
     */
    public function changeSecurityKey($new_key) {
        if( ! is_writable($this->conf['afp_security_key_folder']) ) {
            return false;                
        }        
        
        $new_key = preg_replace('/\s+/', '', trim($new_key));
        
        if($new_key) {
            $new_key_length = strlen($new_key);
            
            if( ($new_key_length < 10) && ($new_key_length > 20) ) {
                return array('success' => false, 'message' => $this->conf['msg']['error']['security_key_wrong_length']);                 
            }
            
            $new_afp_security_key_file_contents = '<?php'."\n".'// DO NOT EDIT THIS FILE DIRECTLY. USE THE ADMIN PANEL TO CHANGE THE SECURITY KEY IF YOU HAVE TO!'."\n".'define(\'AFP_SECURITY_KEY\', \''.addslashes($new_key).'\');'."\n".'?>';
            
            $update = @file_put_contents($this->conf['afp_security_key_file'], $new_afp_security_key_file_contents);
            
            $pass_info = $this->db->getRow("SELECT id, default_value FROM `".$this->conf['db']['prefix']."config_names` WHERE field_name='smtp[password]'");
            
            $field_id     = $pass_info['id'];
            $default_pass = $pass_info['default_value'];
                    
            if($default_pass != '') {
                $new_default_value = $this->encrypt($new_key, $this->decrypt(AFP_SECURITY_KEY, $default_pass));
                $update = $this->db->query("UPDATE `".$this->conf['db']['prefix']."config_names` SET default_value='".$new_default_value."' WHERE id='".$field_id."'");
            }
            
            $all = $this->db->getAll("SELECT id, value FROM `".$this->conf['db']['prefix']."config_values` WHERE field_id='".$field_id."'");
            
            if( ! empty($all) ) {
                foreach($all as $valoare) {
                    if($valoare['value'] != '') {
                        $new_value = $this->encrypt($new_key, $this->decrypt(AFP_SECURITY_KEY, $valoare['value']));
                        $update = $this->db->query("UPDATE `".$this->conf['db']['prefix']."config_values` SET value='".$new_value."' WHERE id='".$valoare['id']."'");            
                    }
                }
            }
            
            if($update) {
                $success = true;
                $message = $this->conf['msg']['success']['security_key_file_updated'];
            } else {
                $success = false;
                $message = $this->conf['msg']['error']['security_key_file_not_updated'];                
            }
            
            return array('success' => $success, 'message' => $message);
            
        } 
    }
    /**
     * Afp_Application::getArFiles()
     * 
     * @param mixed $form_id
     * @return
     */    
    public function getArFiles($form_id) {
        $path_to_ar_files = $this->conf['local']['path_to_uploader_ar_files'].$form_id.'/';
        
        if(is_dir($path_to_ar_files)) {
            $files = array_map('basename', glob($path_to_ar_files.'*'));
                        
            asort($files);
            
            $main = array();
            
            foreach($files as $value) {
                $main[$value] = $value;
            }
            
            return $main;     
        } else {
            return false;
        }    
    }    
}
?>