<?php
if(isset($_REQUEST['form_id'])) {
    include dirname(dirname(__FILE__)).'/init.php';
    
    $form_id = (int)$_REQUEST['form_id'];
    
    // Check if the form's folder of the Auto-Responder exists
    $path_to_ar_files = $afp_conf['local']['path_to_uploader_ar_files'].$form_id.'/';
    
    // Take action in case a file was uploaded
    if( ! empty($_FILES) ) {
        if( ! is_dir($path_to_ar_files) ) { # create folder if it does not exist
            $no_ar_files = true;
            $mk_ar_dir = @mkdir($path_to_ar_files);
        
            if( ! $mk_ar_dir ) {
                echo 'The folder for this form could not be created. Please make sure "uploads/ar_files" directory is <a target="_blank" href="http://codex.wordpress.org/Changing_File_Permissions">writable</a>.';
            }
        }
        
        include $afp_conf['local']['path_to_uploader_class'];
        
        $uploader = new Uploader;
        
        $any_ext_except = array();
        $any_ext_except[] = 'php';
        
        $u_params = array(
            'form_id' => $form_id,
            'temp_dir_name' => 'ar_u',
            'maximum_files' => 20, // 20 files
            'maximum_size' => 10, // 10 mb
            'any_ext' => 1,
            'any_ext_except' => $any_ext_except
        );

        $uploaded = $uploader->HandleUploads($path_to_ar_files, $u_params);
        
        // Are there any errors?
        if(is_array($uploaded['error'])) {
            $upload_errors = array();
            
            $u_errors_msg = array(
                'dupe' => 'The uploaded file is already attached. Want to replace it? Delete the existing one first!',
                'limit_reached' => 'The upload limit of '.$u_params['maximum_files'].' files has been reached. Delete the existing files first, if you wish to upload others!',
                'maximum_size' => 'The uploaded file has more than the maximum allowed size of '.$u_params['maximum_size'].' MB.',
                'wrong_ext' => 'The uploaded file has an extension that is not allowed.'
            );
            
            foreach($uploaded['error'] as $error_type => $value) {
                $err_file_name = array_values($value);
                
                $upload_errors[] = array('file_name' => $err_file_name[0],
                                         'error'     => $u_errors_msg[$error_type]);
            }
        }      
    }    
    
    $no_ar_files = true; // Default value
    
    if( ! is_dir($path_to_ar_files) ) {
        $no_ar_files = true;
    } else {
        // Folder exists? See if there are any files there
        $ar_files = $app->getArFiles($form_id);
        $_SESSION['files_uploaded']['ar_u'] = $ar_files;
        
        if(empty($ar_files)) {
            $no_ar_files = true;
        } else {
            // There are files in that folder. They will be shown in this page
            $no_ar_files = false;
        }
    }
    ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
        <meta http-equiv="content-type" content="text/html; charset=utf-8;" />
        <meta name="author" content="Gabriel Comarita" />

        <title>AJAX Form Pro: Manage Auto-Responder Attachments</title>

    <link rel="stylesheet" href="<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/css/afp-style.css" />
    
    <!-- Formalize -->    
    <link rel="stylesheet" href="<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/formalize/assets/css/formalize.css" />          
        
        <link href="<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/css/fancy-buttons.css" rel="stylesheet" type="text/css" />

        <script type="text/javascript" src="<?php echo $afp_conf['url']['path_to_js'].$afp_conf['jquery_file']; ?>"></script>        
        <script type="text/javascript" src="<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/js/jquery-ui-1.10.0.custom.min.js"></script>

        <style type="text/css">
        #afp_wrap {
            width:auto; float: left;
        }   

        input.file {
            border: 1px solid #e7e7e7;
            padding: 8px;
        }
        
        input.submit_upload {
            font-size: 13px;
        }
        
        #afp_wrap .list_row_over {
            background-color: #D0DBF4 !important;
        }
        
        .notification_ok { line-height:19px; -moz-border-radius: 5px; background: url("<?php echo $afp_conf['url']['path_to_images']; ?>icon-button-ok.png") no-repeat scroll 14px 35% #F5F9FD; height: auto; margin: 0 0 10px; padding: 8px 0 8px 46px; text-align: left; }
        .notification_error { line-height:19px; -moz-border-radius: 5px; background: url("<?php echo $afp_conf['url']['path_to_images']; ?>icon-dialog-error.png") no-repeat scroll 14px 35% #FDF4F5; height:auto; margin:0 0 10px; padding: 6px 0 10px 42px; text-align:left; } 
        </style>
        
        <script type="text/javascript">
        jQuery(document).ready(function($) { // When DOM is ready            
            $('.list_row').mouseover(function() {
                $(this).find('td').addClass('list_row_over');
            }).mouseout(function() {
                $(this).find('td').removeClass('list_row_over');
            });
            
            $('#ar_files_list').on("click", "a.delete_ar_file", function(e) {
                e.preventDefault();
                
                var ar_file = encodeURIComponent($(this).attr('rel'));
                var selector = $(this).parents('tr').children('td');
                
                if(confirm('Are you sure you wish to delete the file `'+ ar_file +'`?')) {
                    var form_id = <?php echo $form_id; ?>;
                            		
                    $.ajax({
                        type: 'post',
                        url: '<?php echo $afp_conf['url']['path_to_afp_admin']; ?>includes/apps/delete-ar-file.php',
                        data: 'form_id=' + form_id +'&ar_file='+ ar_file,
                                               
                        success: function(response) {
                            // Update the list from the parent windows (Form's Configuration Page)
                            if(response == 1) {
                                selector.animate({ 
                                    backgroundColor:'#FF7373'
                                }, 'fast'
                                ).fadeOut('fast', function() {
                                           selector.slideUp('fast');
                                });
                                $('.notification_ok, .notification_error').remove();
                                
                                parent.jQuery('#auto_responder_attachments_list option[value="'+ ar_file +'"]').each(function() {
                                    $(this).remove();
                                });
                            } else if(response == 0) {
                                alert('The file could not be deleted. Perhaps it was deleted before or the path to the "ar_files" is not correct.');
                            }
                        }
                    });
                }
                return false;
            });
            
        });
        </script>
        
    </head>
    
    <body>
    
    <div id="afp_wrap">       
    <?php
    if(isset($upload_errors)) {
        echo '<div class="notification_error" style="margin-bottom: 15px; margin-left: auto; margin-right: auto; width: 89%;">The following errors occured:';
            foreach($upload_errors as $error_value) {
                echo 'File ['.$error_value['file_name'].']: '.$error_value['error'].'<br />';
            }
        echo '</div>';
    }
    
    if(isset($uploaded['ok'])) {
        foreach ($uploaded['ok'] as $ok_value) {            
        ?>
        <div class="notification_ok" style="margin-bottom: 15px; margin-left: auto; margin-right: auto; width: 89%;">The file <strong><?php echo $ok_value['name']; ?></strong> has been successfully uploaded.</div>
        
        <script type="text/javascript">
        parent.jQuery("#auto_responder_attachments_list").append('<option value="<?php echo $ok_value['name']; ?>"><?php echo $ok_value['name']; ?></option>');
        </script>
        <?php
        }
    }
    ?>
        
    
    <?php
    if(!$no_ar_files) {
    ?>
    <div style="float: left; margin: 0 25px 0 0;">
        <table id="ar_files_list" class="list">
            <tr>
                <td colspan="2"><strong>File</strong></td>
            </tr>
            <?php
            foreach($ar_files as $ar_file) {
            ?>
            <tr class="list_row">
                <td><?php echo $ar_file; ?></td>
                <td><a class="delete_ar_file" href="#" rel="<?php echo $ar_file; ?>">Delete</a></td>
            </tr>
            <?php
            }
            ?>
            <tr>

            </tr>
        </table><br />
    </div>
    <?php
    }
    ?>
    
        
    <div style="float: left;">    
        <form action="" method="post" enctype="multipart/form-data">
            <input class="file" type="file" name="file_<?php echo $form_id; ?>[]" /><br />
            <input class="file" type="file" name="file_<?php echo $form_id; ?>[]" /><br />
            <input class="file" type="file" name="file_<?php echo $form_id; ?>[]" /><br />
            <input class="file" type="file" name="file_<?php echo $form_id; ?>[]" /><br />
            <input class="file" type="file" name="file_<?php echo $form_id; ?>[]" /><br /><br />

            <div><input class="fancy-button-base light submit_upload" type="submit" name="submit" value="Upload Attachment File" /></div>
        </form>
    </div>
        
    </div>
            
    </body>
</html>
    <?php
}
?>
