<?php
/* 
Author: Gabriel Comarita
Author's Website: http://www.bitrepository.com/

Copyright (c) BitRepository.com - You do not have rights to reproduce, republish, redistribute or resell this product without permission from the author or payment of the appropiate royalty of reuse.

* Keep this notice intact for legal use *
*/

/* 
Important notice: This is the file that handles the AJAX validation. It is made after the way the form is constructed - using $form_fields in common.php - in contact-script.php

Please make sure you know what you are doing before editing this file!
*/

if(isSet($_GET['form_id'])) {
    $afp_form_id = (int)preg_replace('/[^0-9+]/', '', $_GET['form_id']);
} else {
    exit;
}

$path_to_afp = dirname(dirname(__FILE__)).'/';
include $path_to_afp.'common.php';

//echo $afp_form_id;

// Check if the form_id exists; Otherwise exit the script
if(!$afp->CheckFormStatus($afp_form_id, 1)) exit;

// Include the file that has the form's configuration
$AfbFormFields = $afp->GetFormData($afp_form_id);

// Set current form id
$afp->mCurrentFormId = $afp_form_id;

// Construct the Form Fields array
$AfbFormFields = $afp->ParseFields($AfbFormFields);

//echo '<pre>'; print_r($form_fields); echo '</pre>';

// Merge script and form's configuration
$afp_conf = $afp->mAfpConf 
          = $afp->SetGlobalConfig($afp_conf, $AfbFormFields[$afp_form_id]['config']);
          
// Submit Limit Reached?    
if($afp->isSubmitLimitReached($afp_form_id, $afp_conf['submit_limit']['number'])) {
    exit;
}

// Is the form inactive due to the fact the schedule date is in the future or the end date has already occured?
$start_date = $afp_conf['availability']['start'];
$end_date = $afp_conf['availability']['end'];

if($start_date != '' || $end_date != '') {
    $no_availability = $afp->checkNotAvailable($start_date, $end_date);
    
    if($no_availability) {
        exit;
    }   
}          

$form_fields = $afp->ParseFieldsForJS(
    $afp->form_fields->parseConditions(
        $AfbFormFields[$afp_form_id]['fields']
    )
);

//echo '<pre>'; print_r($AfbFormFields[$afp_form_id]['fields']); echo '</pre>';

header("Content-type: application/x-javascript");
?>

/* 
Author: Gabriel Comarita
Author's Website: http://www.bitrepository.com/

Copyright (c) BitRepository.com
*/

<?php
$is_basic_php_form = ($afp_conf['basic_php_form'] == 1) ? true : false;
$afp_smarty->assign('is_basic_php_form', $is_basic_php_form);

//echo '<pre>'; print_r($afp_conf); echo '</pre>';
$element_form_id = 'afp'.$afp_form_id;

//echo '<pre>'; print_r($form_fields); echo '</pre>';

$afp_smarty->assign('form_id',                $element_form_id);
$afp_smarty->assign('form_db_id',             $afp_form_id);
$afp_smarty->assign('enable_datepicker',      ($afp->HasDatepickerClass($AfbFormFields[$afp_form_id]['fields'])));

$afp_smarty->assign('afb_form_fields',        $form_fields);

// [start] highlight field zone

if($afp_conf['highlight_field_zone'] == 1) { 
	   
    $form_fields['security_code'] = array('field_id' => $element_form_id.'_security_code');
    $form_fields['escts']         = array('field_id' => $element_form_id.'_escts');

    $all_fields = $form_fields;
    
    $afp_smarty->assign('all_fields', $all_fields);
} 

// [end] highlight field zone

$afp_smarty->assign('c', $afp_app->HtmlEntities($afp_conf)); // Assign the config variable

// Check if the browser is IE9
$user_agent = $_SERVER['HTTP_USER_AGENT'];

$is_ie = (stripos($user_agent, 'MSIE') === false) ? false : true;

$afp_smarty->assign('is_ie', $is_ie);

$afp_smarty->display($afp_conf['templates']['js_init']);

ob_end_flush();
?>