<?php
if(defined('AFP_WP_CONFIG_ONLY')) {
    define( 'WP_AJAX_PRO_PATH', dirname(__FILE__).'/' );
    define('AFP_TABLE_PREFIX', 'afp_');
    define('DB_TABLES_PREFIX', $table_prefix . AFP_TABLE_PREFIX); 
} else {
    define('WP_AJAX_PRO_PATH', plugin_dir_path(__FILE__));
    define('WP_AJAX_PRO_URL', plugin_dir_url(__FILE__));

    define('AFP_TABLE_PREFIX', 'afp_');

    define('DB_TABLES_PREFIX', $wpdb->prefix . AFP_TABLE_PREFIX);
    define('AFP_BASE_URL', get_bloginfo('wpurl'));
}

$local_path_to_afp = WP_AJAX_PRO_PATH;

$url_path_to_afp = WP_AJAX_PRO_URL;

$conf['url']['path_to_afp'] = WP_AJAX_PRO_URL; // in most cases would be like 'http://www.yourdomain.com/ajax-form-pro/'

// Path to the admin panel
$conf['url']['path_to_afp_admin'] = WP_AJAX_PRO_URL.'admin/';

$afp_conf = array();

// Short Description Char Limit (in case it's too long)
$afp_conf['short_desc_chars'] = 87;

/* [start] DB Info */
$afp_conf['db'] = array(

    // Database Connection
    'host' => DB_HOST,
    'user' => DB_USER,
    'pass' => DB_PASSWORD,
    'name' => DB_NAME,
    
    // Tables Prefix
    'prefix' => DB_TABLES_PREFIX
);
/* [end] DB Info */

/* 
---------------------
Configure URL paths
---------------------
*/

// URL to the 'ajax-form-app' folder (e.g. the final generated path could be like: http://www.yourwebsite.com/ajax-form-app/)
$afp_script_path = $url_path_to_afp.'ajax-form-app/';

$afp_conf['url'] = array(
    'path_to_afp'               => $url_path_to_afp,
    'path_to_afp_admin'         => $url_path_to_afp.'admin/',
    'path_to_script'            => $afp_script_path,
    'path_to_php_process_file'  => $afp_script_path.'parse.php',
    'path_to_style'             => $afp_script_path.'style/',    
    'path_to_images'            => $afp_script_path.'images/',      
    'path_to_js'                => $afp_script_path.'js/',
    'path_to_uploader'          => $afp_script_path.'uploader/',
    'path_to_uploader_form'     => $afp_script_path.'uploader/do.upload.php',
    'path_to_uploader_get_file' => $afp_script_path.'uploader/get.php',
    'path_to_uploader_uploads'  => $afp_script_path.'uploader/uploads/',
    
    'path_to_manage_forms' 	=>  AFP_BASE_URL .'/wp-admin/admin.php?page=afp-manage-forms',
    'path_to_templates' 	=>  AFP_BASE_URL .'/wp-admin/admin.php?page=afp-templates'
);

/* 
-----------------------
Configure Server paths
-----------------------
*/

$path_to_afp = $local_path_to_afp;
$path_to_afp_app = $local_path_to_afp.'ajax-form-app/';

$afp_conf['local'] = array(
    'path_to_afp'               => $path_to_afp, // Path to to 'ajax-form-pro' folder
    'path_to_afp_admin'         => $path_to_afp.'admin/', // Path to to 'admin' folder
    'path_to_app'               => $path_to_afp_app, // Path to 'ajax-form-app' folder
    'path_to_php_process_file'  => $path_to_afp_app.'parse.php',
    'path_to_templates'         => $path_to_afp_app.'templates/',
    'path_to_style'             => $path_to_afp_app.'style/',    
    'path_to_forms'             => $path_to_afp_app.'forms_config/',
    'path_to_uploader'          => $path_to_afp_app.'uploader/',    
    'path_to_uploader_uploads'  => $path_to_afp_app.'uploader/uploads/',
    'path_to_uploader_ar_files' => $path_to_afp_app.'uploader/uploads/ar_files/',
    'path_to_uploader_class'    => $path_to_afp_app.'includes/class.uploader.php',
    'path_to_fonts'             => $path_to_afp_app.'includes/fonts/' // Path to `Fonts` folder
);

$afp_conf['local']['path_to_app_layouts'] = $afp_conf['local']['path_to_templates'] . 'form-layouts/';

/* 
--------------------------------
 - Local path to the templates
 - Template names & paths
--------------------------------
*/

$path_to_afp_templates = $afp_conf['local']['path_to_templates'];

$afp_conf['templates']['header'] = $path_to_afp_templates. (defined('IS_AFP_STANDALONE') ? 'header_standalone.tpl' : 'header_wp.tpl');

$afp_conf['templates']['footer'] = $path_to_afp_templates.'footer.tpl';
$afp_conf['templates']['js_init'] = $path_to_afp_templates.'js/afp.init.js.tpl';

//echo $afp_conf['templates']['header'];

// In the 'layouts' folder you can make layout changes
$local_path_to_app_layouts = $afp_conf['local']['path_to_app_layouts'];

$afp_conf['templates']['form_layouts'] = $local_path_to_app_layouts;

// The template within the ajax form
$afp_conf['templates']['parent_attachments'] = $local_path_to_app_layouts.'attachments/parent-attachments.tpl';

// The template from the popup box
$afp_conf['templates']['iframe_attachments'] = $local_path_to_app_layouts.'attachments/iframe-attachments.tpl';

// jQuery File
$afp_conf['jquery_file'] = 'jquery-1.8.3.min.js';

// If a wrong call is made the appropiate error is shown.
// This is rare, indeed since you have to mistakenly call for the wrong form, but it's good just in case

$afp_conf['status_notifications'] = array('no_active_form'          => 'The form is not active or does not exist.',
                                          'webmaster_info_not_set'  => 'The webmaster\'s information is not set in form\'s configuration (name & email).');

// Delete attachments after form submit (this does not apply if files are kept on the server and the user gets the links to the files instead of actual attachments)
$afp_conf['del_attach_after_submit'] = true;

$afp_security_key_folder = $path_to_afp_app.'includes/data/';
$afp_conf['afp_security_key_folder'] = $afp_security_key_folder;

$afp_security_key_file = $afp_security_key_folder.'afp-security-key.php';
$afp_conf['afp_security_key_file'] = $afp_security_key_file;

if(file_exists($afp_security_key_file)) {
    include_once $afp_security_key_file;
}

// Allow PHP code inside Smarty Templates?
define('AFP_ENABLE_PHP_INSIDE_SMARTY', 0);

// Path to the directory where the sessions will be stored (in case USE_CUSTOM_SESSIONS_DIR is set to true)
define('AFP_USE_CUSTOM_SESSIONS_DIR', false);
define('AFP_CUSTOM_SESSIONS_DIR', $afp_conf['local']['path_to_afp_admin'].'/tmp/');

if(defined('AFP_BASE_URL')) {
    // Determine domain name
    // get host name from URL
    preg_match('@^(?:http://)?([^/]+)@i', AFP_BASE_URL, $afp_matches);
    $afp_host = $afp_matches[1];

    // get last two segments of host name
    preg_match('/[^.]+\.[^.]+$/', $afp_host, $afp_matches);

    define('AFP_DOMAIN', $afp_matches[0]);
}

$loaded_extensions = get_loaded_extensions();
//echo '<pre>'; print_r($loaded_extensions); echo '</pre>';

include WP_AJAX_PRO_PATH . 'admin/includes/messages.php';
?>