SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}config_groups`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}config_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=21;

--
-- Dumping data for table `{TABLE_PREFIX}config_groups`
--

INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(1, 'Basic Configuration', 8);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(2, 'Webmasters', 3);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(3, 'Auto Responder', 13);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(4, 'Attachments', 12);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(5, 'Debug', 7);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(6, 'SMTP Configuration', 14);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(7, 'CAPTCHA & Security Code', 9);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(8, 'Layout', 2);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(9, 'Custom ''Thank You'' page', 15);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(10, 'Mail Headers Setup', 4);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(11, 'Notifications', 6);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(12, 'Submit Zone', 11);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(13, 'Mail Content Setup', 5);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(14, 'Send E-Mail Copy to Sender', 16);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(15, 'Deliverability', 1);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(16, 'reCAPTCHA', 10);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(17, 'Send POST Data to Remote URL', 17);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(18, 'Submit Limit', 18);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(19, 'Availability', 19);
INSERT INTO `{TABLE_PREFIX}config_groups` (`id`, `name`, `position`) VALUES(20, 'Promote AJAX Form Pro', 20);
-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}config_names`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}config_names` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `field_name` varchar(100) NOT NULL,
  `field_type` text NOT NULL,
  `name` varchar(255) NOT NULL,
  `default_value` text NOT NULL,
  `info` text NOT NULL,
  `position` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `field_name` (`field_name`),
  KEY `group_id` (`group_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=110;

--
-- Dumping data for table `{TABLE_PREFIX}config_names`
--

INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(1, 1, 'js_realtime_validator', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable Realtime Validator?', '1', 'This will enable the AJAX Realtime Validator. It checks the fields for errors while the user completes the form.', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(2, 1, 'highlight_field_zone', '{"type":"select","options":{"1":"True","0":"False"}}', 'Highlight Field Zone?', '1', 'This will highlight the field area when that field is focused (either by clicking with the mouse on it or typing something in that field).', 10);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(3, 1, 'hide_form_after_submit', '{"type":"select","options":{"1":"True","0":"False"}}', 'Want to hide the form after submit?', '1', 'If you wish to hide the form content after it is submitted then set this to ''yes''', 9);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(4, 1, 'close_ajax_form_box', '{"type":"select","options":{"1":"True","0":"False"}}', 'Close Modal Box after Submit?', '0', 'If you wish to have the lightbox/modal box closed after form is submitted, set this to ''yes''.', 5);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(5, 1, 'close_ajax_form_box_time', '{"type":"text","attributes":{"size":10}}', 'Close Modal Box in (X) seconds', '4000', '', 6);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(6, 1, 'clear_fields_after_success_submit', '{"type":"select","options":{"1":"Yes","0":"No"}}', 'Reset form after a successfully submit?', '1', '', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(7, 1, 'errors_effect', '{"type":"select","options":{"slide":"Slide","none":"None"}}', 'How to show the errors in realtime validation?', 'slide', 'Can be ''none'' for no effect or ''slide''', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(8, 7, 'captcha[enabled]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable Captcha?', '1', '', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(9, 7, 'captcha[chars_number]', '{"type":"text","attributes":{"size":8}}', 'Total characters', '5', '', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(10, 7, 'captcha[string_type]', '{"type":"select","options":{"1":"Letters","2":"Numbers","3":"Letters & Numbers"}}', 'String Type', '3', 'Letters (1), Numbers (2), Letters & Numbers (3)', 8);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(11, 7, 'captcha[font_size]', '{"type":"text","attributes":{"size":8}}', 'Font Size', '12', '', 5);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(12, 7, 'captcha[colors][text]', '{"type":"text","attributes":{"size":12}}', 'Font Color', 'bf7878', '', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(13, 7, 'captcha[colors][background]', '{"type":"text","attributes":{"size":12}}', 'Background color', 'ffffff', '', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(14, 7, 'captcha[tt_font]', '', 'TrueType Font', 'verdana.ttf', 'It is taken from the ''fonts'' folder (defined in base.php)', 9);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(15, 7, 'captcha[width]', '{"type":"text","attributes":{"size":10}}', 'Image Width', '126', '', 7);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(16, 7, 'captcha[height]', '{"type":"text","attributes":{"size":8}}', 'Image Height', '28', '', 6);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(17, 9, 'custom_thank_you[enabled]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable?', '0', 'Do you want to redirect the users to a custom thank you page after successful submission?', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(18, 10, 'mail_headers[charset]', '{"type":"text","attributes":{"size":15}}', 'Mail Charset', 'utf-8', 'The Mail Charset: UTF-8 can be used to non-latin characters too', 13);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(19, 14, 'escts[enabled]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable?', '0', 'The message sent to the webmaster(s) is also sent to the sender.', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(20, 14, 'escts[text]', '{"type":"text","attributes":{"size":30}}', 'The actual text to be shown', 'Send me a copy of the mail', 'Default is ''Send me a copy of the mail'' but can be changed to anything you want!', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(21, 7, 'security_code[text]', '{"type":"text","attributes":{"size":25}}', 'The actual text to be shown', 'Security Code', '''Security Code'' is set as default; Change it to anything you want (e.g. ''Image Verification'', ''Security Key'' etc.)', 12);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(22, 7, 'security_code[size]', '{"type":"text","attributes":{"size":8}}', 'Size of the input box', '17', 'This is the "size" attribute for the "Security Code"', 11);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(23, 7, 'security_code[class]', '{"type":"text","attributes":{"size":15}}', 'CSS Class', 'text', 'Add here any CSS class for the security code (it''s optional)', 10);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(24, 7, 'security_code[verified_text]', '{"type":"text","attributes":{"size":30}}', 'After Completion', 'Verification Complete', 'Was the "Security Code" submitted correctly? Show a confirmation text (''Verified Text'' is shown as default)', 13);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(25, 12, 'submit[button_text]', '{"type":"text","attributes":{"size":20}}', 'Button Value', 'Send Message', '"Send Message" is set as default', 22);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(26, 12, 'submit[submitting_text]', '{"type":"text","attributes":{"size":25}}', 'While submitting text...', 'Submitting...', 'Text to show when the form is actually submitted and a response is awaited', 24);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(27, 12, 'submit[class]', '{"type":"text","attributes":{"size":25}}', 'Class (style) for button', 'fancy-button-base matte-blue', 'Styling for the submit button (default is ''fancy-button-base matte-blue'')', 23);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(28, 11, 'notifications[security_code_e]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'No security code entered', 'Please enter the security code', '', 5);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(29, 11, 'notifications[security_code_i_e]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Incorrect Security Code', 'The security code is incorrect.', '', 7);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(30, 11, 'notifications[security_code_e_re]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Re-generated Security Code', 'The security code has been re-generated.', '', 6);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(31, 11, 'notifications[correct_errors_e]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Correct Form Errors', 'Please correct the errors and re-submit the form!', '', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(32, 11, 'notifications[mail_cannot_be_sent_e]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Mail cannot be sent (internal error)', 'The mail cannot be sent due to an internal error. Please retry later!', '', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(33, 11, 'notifications[message_sent_s]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Message Successfully sent', 'The message has been successfully sent. Thank you for writing to us!', '', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(34, 11, 'notifications[success_output]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Success Output HTML Code', '<div class="afb_notification_ok">{success_notice}</div>', 'The HTML code that will be shown when the form is successfully submitted (do not change the words in brackets unless you really know what you are doing). {success_notice} in this case is replaced with the actual notice that you set above.', 8);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(35, 11, 'notifications[errors_output]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Error Output HTML Code', '<div class="afb_notification_error">        \r\n{errors_notice}\r\n          {errors_zone}    <br> <br>\r\n{loop} {error} <br> {/loop}      \r\n {/errors_zone}\r\n                              </div>', 'The HTML code to show when there are form errors. Pay attention to the words in brackets.\r\n\r\ne.g. "{loop} {error} <br /> {/loop}" is replaced with the errors list each showing on a new line', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(36, 3, 'auto_responder[subject]', '{"type":"text","attributes":{"size":30}}', 'Auto Responder Mail Subject', '', '', 6);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(37, 3, 'auto_responder[message]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Auto Responder Mail Message', '', '', 7);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(39, 13, 'mail_contents[message]', '{"type":"textarea","attributes":{"cols":30,"rows":"9"}}', 'Message', 'You got a new message:\r\n\r\nIP: {sender_ip_address} ({sender_hostname})\r\n\r\n{ALL_FIELDS}', 'This is the actual message that you will get after the user fills the form', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(41, 2, 'webmasters', '', 'Webmasters', '', 'Select the webmasters that will receive the mails sent through this form - HOLD Ctrl and use the left mouse button to make the selection(s)', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(42, 3, 'auto_responder[enabled]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable?', '0', 'Set to "yes" if you wish the person who fill the form to get an automated reply after successful submit! Note that you must use a field named "sender_email" (which is the email address of the user)', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(43, 3, 'auto_responder[from_email]', '{"type":"text","attributes":{"size":30}}', 'From (email)?', '', 'From whom will the autoresponder be sent? You can put your email / company''s email', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(44, 3, 'auto_responder[from_name]', '{"type":"text","attributes":{"size":30}}', 'From (name)?', '', 'From whom will the autoresponder be sent? You can put your name / company''s name', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(45, 4, 'attachments[enabled]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable?', '0', '', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(46, 4, 'attachments[mandatory]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Required?', '0', '', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(47, 4, 'attachments[files_on_mail]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Attach files to the mail?', '0', 'Will attach the files to the mail as actual attachments', 10);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(48, 4, 'attachments[link_to_files]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Add links to the files?', '1', 'Will insert the links to the files into the mail message instead of adding them as attachments', 11);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(49, 4, 'attachments[maximum_files]', '{"type":"text","attributes":{"size":8}}', 'Maximum Files to Upload', '5', '', 17);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(50, 4, 'attachments[minimum_files]', '{"type":"text","attributes":{"size":3}}', 'Minimum Files to Upload', '1', 'Works if the user MUST upload something', 16);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(51, 4, 'attachments[maximum_size]', '{"type":"text","attributes":{"size":8}}', 'Maximum File Size', '2', 'Set the maximum file size in MB that can be uploaded by the user', 14);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(52, 4, 'attachments[allowed_extensions]', '{"type":"text","attributes":{"size":25}}', 'Allowed extensions', 'jpg, png, doc, pdf', 'Set the allowed file extensions separated by comma ( example: "jpg, png, doc, pdf").', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(54, 4, 'attachments[intro_text]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Intro text', 'You can upload files as attachments to the message if you wish:', '', 13);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(55, 4, 'attachments[notes]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Notes', '<ul>\r\n                  <li>Maximum Uploads: <strong>[maximum_files]</strong></li>\r\n                  <li>You an only upload images with the following extensions: <strong>[allowed_extensions]</strong></li>\r\n                  <li>Each file can have a maximum size of <strong>[maximum_size] MB</strong>.</li>\r\n              </ul>', '', 15);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(56, 4, 'attachments[errors][wrong_ext]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Wrong Extension?', 'The uploaded file has an extension that is not allowed.', '', 9);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(57, 4, 'attachments[errors][maximum_size]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Maximum Size Exceeded?', 'The uploaded file has more than the maximum allowed size of [maximum_size]', '', 6);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(58, 4, 'attachments[errors][dupe]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Duplicate file?', 'The uploaded file is already attached. Want to replace it? Delete the existing one first!', '', 5);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(59, 4, 'attachments[errors][no_upload]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'No upload error?', 'You should upload something.', 'This will show only if the attachment feature is set as "required"', 8);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(60, 4, 'attachments[errors][minimum_files]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Upload minimum [x] files', 'You should upload at least [minimum_files] file(s).', '', 7);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(61, 4, 'attachments[errors][limit_reached]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Upload limit reached', 'The upload limit has been reached. Delete the existing files first, if you wish to upload others!', '', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(62, 5, 'debug', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable?', '0', 'Debug mode (outputs result from parse.php) - use it before going with the form live', 0);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(63, 6, 'smtp[enabled]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable?', '0', 'If you enable STMP, the following values will be used (make sure you fill them (where it is necessary) if it is set to ''true'')', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(64, 6, 'smtp[auth]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable SMTP authentication', '1', '''true'' or ''false''', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(65, 6, 'smtp[secure]', '{"type":"text","attributes":{"size":5}}', 'Secure?', '', 'Sets the prefix to the server (e.g. SSL)', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(66, 6, 'smtp[host]', '{"type":"text","attributes":{"size":20}}', 'Host', '', 'e.g. smtp.gmail.com', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(67, 6, 'smtp[username]', '{"type":"text","attributes":{"size":25}}', 'Username', '', 'e.g. yourname@gmail.com', 5);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(68, 6, 'smtp[password]', '{"type":"text","attributes":{"size":25}}', 'Password', '', 'NOTE: For security reasons this field does not show the saved password when you load this page. To change the existing password, type a new one in the input box.', 6);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(69, 6, 'smtp[port]', '{"type":"text","attributes":{"size":5}}', 'Port', '', 'e.g. 465', 7);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(72, 4, 'attachments[mail_text]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Files on Mail Text', '<br /><br />Attachments: <ul> {loop}<li><a href="{item_url}">{item_name}</a></li>{/loop} </ul>', 'Will be added to the mail message if ''Add links to the files?'' is set to ''true''', 12);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(73, 8, 'layout', '', 'Select desired form layout', '2', 'The templates are located in ''ajax-form-pro/ajax-form-app/templates/form-layouts''', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(74, 10, 'mail_headers[sender_name]', '{"type":"select"}', 'Sender Name', '', 'From whom you will get the mail? If you have a field such as "Name" or "Company" or "Your Name" etc., select it from the drop-down.', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(75, 10, 'mail_headers[sender_email]', '{"type":"select"}', 'Sender E-Mail', '', 'Which is the sender of this email? If you have a field such as "E-Mail", "Your E-Mail" etc. select it from the drop-down', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(76, 9, 'custom_thank_you[url]', '{"type":"text","attributes":{"size":35}}', 'URL to Page', '', 'Put here the actual URL to the ''Thank you'' page.\r\n\r\ne.g. http://www.your-domain.com/thank-you.html', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(77, 10, 'mail_headers[custom_sender_name]', '{"type":"text","attributes":{"size":25}}', 'Sender Name [Custom]', 'Webmaster', 'This is the default name that will be added in the "From" header of the mail that is sent to the webmaster in case you do not make a selections from the above drop-down.', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(78, 10, 'mail_headers[custom_sender_email]', '{"type":"text","attributes":{"size":25}}', 'Sender E-Mail [Custom]', 'your-email@your-domain.com', 'This is the default email that will be added in the "From" header of the mail that is sent to the webmaster in case you do not make a selection from the above drop-down.', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(79, 13, 'mail_contents[subject]', '{"type":"select"}', 'Subject', '', 'Do you want to have the subject of the mail the value of a field? It could be "Subject", "Inquiry Type" etc.', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(80, 13, 'mail_contents[custom_subject]', '{"type":"text","attributes":{"size":35}}', 'Custom Subject', 'Contact Form Results', 'If no value is selected from the above drop-down, a default subject will be used.', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(81, 1, 'area_width', '{"type":"text","attributes":{"size":15}}', 'Form Area Width', '500px', 'Set the width of the area that surrounds the form! Possible values: "500px", "100%"', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(82, 3, 'auto_responder[to_email]', '{"type":"select"}', 'To (email)?', '', 'To whom will the autoresponder be sent? Select the corresponding e-mail field (e.g. ''Your E-Mail Address'') from the list (if you choose a wrong field, the auto-responder will not work). If you do not have such a field in the form, then you can disable the auto-responder.', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(83, 3, 'auto_responder[to_name]', '{"type":"select"}', 'To (name)?', '', 'To whom will the autoresponder be sent? Select the corresponding name field (e.g. ''Your Name'') from the list', 5);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(84, 14, 'escts[to_email]', '{"type":"select"}', 'To (email)?', '', 'What''s the email address of the sender? Select the corresponding e-mail field (e.g. ''Your E-Mail Address'') from the list (if you choose a wrong field, this feature will not work). If you do not have such a field in the form, then you can disable this feature.', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(85, 14, 'escts[to_name]', '{"type":"select"}', 'To (name)?', '', 'What''s the name of the sender? Select the corresponding field (e.g. ''Your Name'') from the list.', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(86, 4, 'attachments[check_image_extensions]', '{"type":"text","attributes":{"size":25}}', 'Image Extensions (to be checked)', 'jpg, jpeg, tiff, png, gif, bmp', 'The files with these extensions will be checked to see if they really are images, and not other type of files that have image extensions. <br /> <hr /> Set them separated by comma ( example: "jpg, jpeg, tiff, png, gif, bmp").', 18);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(87, 4, 'attachments[errors][image_not_valid]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Wrong Image File', 'The uploaded file has an image extension but it''s not an image.', '', 19);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(88, 15, 'deliverability[send_message]', '{"type":"radio","options":{"1":"Yes","0":"No"}}', 'Send Mail after Submit?', '1', 'If for any reason, you do not want to have the message sent by mail, you can choose "No". You can use the other feature below that saves the message into the database.', 0);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(89, 15, 'deliverability[save_message]', '{"type":"radio","options":{"1":"Yes","0":"No"}}', 'Save (Archive) Message after Submit?', '1', 'If for any reason, you do not want to have the message saved, you can set it to "No". You can still use the feature above to have the message sent by mail.', 0);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(90, 16, 'recaptcha[enabled]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable?', '0', 'If you''d like to enable reCAPTCHA, select "Yes". Make sure you disable the regular CAPTCHA if it''s enabled, otherwise you will have 2 CAPTCHAS in the same form.', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(91, 16, 'recaptcha[public_key]', '{"type":"text","attributes":{"size":35}}', 'Public Key', '', 'Used in the JavaScript code that is served to your users', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(92, 16, 'recaptcha[private_key]', '{"type":"text","attributes":{"size":35}}', 'Private Key', '', 'Used when communicating between your server and reCAPTCHA server. Be sure to keep it a secret.', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(93, 11, 'notifications[recaptcha_solution_error]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'reCAPTCHA Incorrect Solution', 'The reCAPTCHA solution was not correct. Please re-try!', '', 9);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(94, 16, 'recaptcha[theme]', '{"type":"select","options":{"red":"Red (Default Theme)","white":"White","blackglass":"Blackglass","clean":"Clean","custom":"Custom (Template)"}}', 'Theme', 'red', 'Click\r\n<a href="https://developers.google.com/recaptcha/docs/customization">here</a> to see a preview of the standard themes! If you''d like to use a custom theme, select "Custom (Template)" and customize the theme from the template associated with the form (could be one of the default ones or a custom one; check the documentation of the reCAPTCHA and the DIV having the ID "recaptcha_widget").', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(95, 17, 'remote_post[enabled]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable?', '0', 'This option is very useful if you intend to use this script just to build forms and send the POST data to some remote page that will receive it and do custom things with it. Example: (a newsletter form, a registration form for a forum etc.)', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(96, 17, 'remote_post[url]', '{"type":"text","attributes":{"size":32}}', 'Send POST Fields to URL', '', 'e.g. www.your-domain.com/receive-post.php, http://www.aweber.com/scripts/addlead.pl etc.', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(97, 1, 'basic_php_form', '{"type":"select","options":{"1":"Yes","0":"No"}}', 'Turn into a Basic PHP Form without JavaScript/AJAX Validation?', '0', 'The form will become a Basic PHP Form without any AJAX Validation. The page will refresh on submit, like the classical forms. Only the backend PHP validation will be activated.', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(98, 18, 'submit_limit[number]', '{"type":"text","attributes":{"size":8}}', 'Total submits', '0', 'Default is ''0'' for unlimited submits. Type any other number if you want to prevent future submits after that number is reached. If that''s the case, any other visitors that are filling the form at that point will get  a notification that no further submits are allowed.', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(99, 18, 'submit_limit[notification]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Notification Message', 'The maximum number of submits has been reached.', 'This is the notification the visitors will get if the number of form submits is reached.', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(100, 18, 'submit_limit[hide_form]', '{"type":"select","options":{"1":"Yes","0":"No"}}', 'Hide Form if number of submits has been reached?', '1', 'In case you select ''Yes'': if the number of submits has been reached the form will not show when you load the page', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(101, 18, 'submit_limit[show_js_alert]', '{"type":"select","options":{"1":"Yes","0":"No"}}', 'Alert Visitor while the form is being filled?', '1', 'In case you select ''Yes'': if the number of submits has been reached a message will pop up letting the visitor know that no further submits are allowed', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(102, 19, 'availability[start]', '{"type":"text","attributes":{"size":27,"id":"AvailabilityStartDate"}}', 'Start Date', '', 'From which date you want to have this form active? (leave empty if there is no start date)', 1);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(103, 19, 'availability[end]', '{"type":"text","attributes":{"size":27,"id":"AvailabilityEndDate"}}', 'End Date', '', 'Until which date you want to have this form active? (leave empty if there is no end date)', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(104, 19, 'availability[not_active_yet_message]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Message to show if the Start Date hasn''t arrived * <em>optional</em>', '', 'Message the visitors will see in case the form schedule date has not yet started.', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(105, 19, 'availability[already_expired_message]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Message to show if the End Date has passed * <em>optional</em>', '', 'Message the visitors will see in case the end date already passed and the form is not active anymore.', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(106, 20, 'promote[enabled]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Enable?', '1', 'Make some extra cash by promoting AJAX Form Pro to your visitors.', '1');
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(107, 20, 'promote[link_text]', '{"type":"textarea","attributes":{"cols":30,"rows":"3"}}', 'Link Text', 'Powered by AJAX Form Pro', '', 2);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(108, 20, 'promote[link_url]', '{"type":"text","attributes":{"size":35}}', 'Link URL', 'http://www.ajaxformpro.com/', 'Here you can type your affiliate URL if you wish to make some extra cash when someone orders a copy of AJAX Form Pro', 3);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(109, 20, 'promote[open_link_new_window]', '{"type":"select","options":{"1":"Yes","0":"No"}}', 'Open the Link In New Window/Tab?', '1', '', 4);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(110, 3, 'auto_responder[attachments][enabled]', '{"type":"select","options":{"1":"True","0":"False"}}', 'Attachments - Enabled?', '0', 'Will attach the files to the mail as actual attachments', 10);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(111, 3, 'auto_responder[attachments][files2attach]', '', 'Attachments - Select Files to Attach', '0', 'Select the files that will be added as attachments to the Auto-Responder email sent through this form - HOLD Ctrl and use the left mouse button to make the selection(s)', 11);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(1000, 1, 'hook', '{"type":"radio","options":{"1":"Yes","0":"No"}}', 'Load in WordPress custom pages?', '0', 'This is useful when you want to show a form OUTSIDE posts and pages on your WordPress blog! Make sure to set it to YES if you want a form to load in common locations such as: siderbar, footer of the website etc.', 0);
INSERT INTO `{TABLE_PREFIX}config_names` (`id`, `group_id`, `field_name`, `field_type`, `name`, `default_value`, `info`, `position`) VALUES(1001, 1, 'in_lightbox', '{"type":"radio","options":{"1":"Yes","0":"No"}}', 'Load inside Lightbox when triggered by click?', '0', 'Would you like to have a lightbox with the form that popups when you click on a link/button? Enable it! Note that "Load in WordPress custom pages?" must also be enabled for this feature to work!', 0);
-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}config_values`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}config_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `form_id_2` (`form_id`,`field_id`),
  KEY `field_id` (`field_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}data`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `from_whom` varchar(100) NOT NULL,
  `subject` varchar(100) NOT NULL,
  `message` text NOT NULL,
  `ip` varchar(100) CHARACTER SET latin1 NOT NULL,
  `date_added` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}fields`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `text` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `mandatory` int(11) NOT NULL,
  `columns` int(11) NOT NULL,
  `type_id` int(11) NOT NULL,
  `position` int(11) NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `form_id` (`form_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Table structure for table `{TABLE_PREFIX}data_fields`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}data_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `message_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `message_id` (`message_id`),
  KEY `field_id` (`field_id`),
  KEY `form_id` (`form_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}fields_extras` (
  `field_id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `value` text NOT NULL,
  UNIQUE KEY `field_id` (`field_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
            
-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}fields_attributes`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}fields_attributes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Table structure for table `{TABLE_PREFIX}fields_conditionals`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}fields_conditionals` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `if_field_id` int(11) NOT NULL,
  `cond_type` varchar(20) NOT NULL,
  `cond_type_value` text NOT NULL,
  `make_field_id` int(11) NOT NULL,
  `to_be` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `if_field_id` (`if_field_id`),
  KEY `make_field_id` (`make_field_id`),
  KEY `form_id` (`form_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}fields_options`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}fields_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) NOT NULL,
  `text` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `attributes` text NOT NULL,
  `position` int(11) NOT NULL,
  `parent_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}fields_validations`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}fields_validations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) NOT NULL,
  `type` varchar(50) NOT NULL,
  `message` text NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}forms`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}forms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `submits` int(11) NOT NULL,
  `date_added` int(11) NOT NULL,
  `active` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}layouts`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}layouts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `file_template` varchar(255) NOT NULL,
  `file_css` varchar(255) NOT NULL,
  `custom` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `{TABLE_PREFIX}layouts`
--

INSERT INTO `{TABLE_PREFIX}layouts` (`id`, `name`, `file_template`, `file_css`, `custom`) VALUES(1, 'Basic / Left Justified Horizontal Labels', 'basic-left-justified-horizontal-labels.tpl', 'basic-left-justified-horizontal-labels.css.php', 0);
INSERT INTO `{TABLE_PREFIX}layouts` (`id`, `name`, `file_template`, `file_css`, `custom`) VALUES(2, 'Basic / Vertical Labels', 'basic-vertical-labels.tpl', 'basic-vertical-labels.css.php', 0);
INSERT INTO `{TABLE_PREFIX}layouts` (`id`, `name`, `file_template`, `file_css`, `custom`) VALUES(3, 'Basic / In-Field Labels', 'basic-in-field-labels.tpl', 'basic-in-field-labels.css.php', 0);
INSERT INTO `{TABLE_PREFIX}layouts` (`id`, `name`, `file_template`, `file_css`, `custom`) VALUES(4, 'Bootstrap / Left Justified Horizontal Labels', 'bootstrap-left-justified-horizontal-labels.tpl', 'bootstrap-left-justified-horizontal-labels.css.php', 0);
INSERT INTO `{TABLE_PREFIX}layouts` (`id`, `name`, `file_template`, `file_css`, `custom`) VALUES(5, 'Bootstrap / Vertical Labels', 'bootstrap-vertical-labels.tpl', 'bootstrap-vertical-labels.css.php', 0);
INSERT INTO `{TABLE_PREFIX}layouts` (`id`, `name`, `file_template`, `file_css`, `custom`) VALUES(6, 'Bootstrap / In-Field Labels', 'bootstrap-in-field-labels.tpl', 'bootstrap-in-field-labels.css.php', 0);


-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}rows`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}rows` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `before_content` text NOT NULL,
  `after_content` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `form_id` (`form_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}rows_fields`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}rows_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `row_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `properties` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `form_id` (`field_id`),
  KEY `row_id` (`row_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `{TABLE_PREFIX}webmasters`
--

CREATE TABLE IF NOT EXISTS `{TABLE_PREFIX}webmasters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `{TABLE_PREFIX}config_names`
--
ALTER TABLE `{TABLE_PREFIX}config_names`
  ADD CONSTRAINT `{TABLE_PREFIX}config_names_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `{TABLE_PREFIX}config_groups` (`id`) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Constraints for table `{TABLE_PREFIX}config_values`
--
ALTER TABLE `{TABLE_PREFIX}config_values`
  ADD CONSTRAINT `{TABLE_PREFIX}config_values_ibfk_1` FOREIGN KEY (`form_id`) REFERENCES `{TABLE_PREFIX}forms` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `{TABLE_PREFIX}config_values_ibfk_2` FOREIGN KEY (`field_id`) REFERENCES `{TABLE_PREFIX}config_names` (`id`) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Constraints for table `{TABLE_PREFIX}fields`
--
ALTER TABLE `{TABLE_PREFIX}fields`
  ADD CONSTRAINT `{TABLE_PREFIX}fields_ibfk_1` FOREIGN KEY (`form_id`) REFERENCES `{TABLE_PREFIX}forms` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `{TABLE_PREFIX}fields_attributes`
--
ALTER TABLE `{TABLE_PREFIX}fields_attributes`
  ADD CONSTRAINT `{TABLE_PREFIX}fields_attributes_ibfk_1` FOREIGN KEY (`field_id`) REFERENCES `{TABLE_PREFIX}fields` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `{TABLE_PREFIX}fields_options`
--
ALTER TABLE `{TABLE_PREFIX}fields_options`
  ADD CONSTRAINT `{TABLE_PREFIX}fields_options_ibfk_1` FOREIGN KEY (`field_id`) REFERENCES `{TABLE_PREFIX}fields` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `{TABLE_PREFIX}fields_validations`
--
ALTER TABLE `{TABLE_PREFIX}fields_validations`
  ADD CONSTRAINT `{TABLE_PREFIX}fields_validations_ibfk_1` FOREIGN KEY (`field_id`) REFERENCES `{TABLE_PREFIX}fields` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `{TABLE_PREFIX}rows`
--
ALTER TABLE `{TABLE_PREFIX}rows`
  ADD CONSTRAINT `{TABLE_PREFIX}rows_ibfk_1` FOREIGN KEY (`form_id`) REFERENCES `{TABLE_PREFIX}forms` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `{TABLE_PREFIX}rows_fields`
--
ALTER TABLE `{TABLE_PREFIX}rows_fields`
  ADD CONSTRAINT `{TABLE_PREFIX}rows_fields_ibfk_1` FOREIGN KEY (`field_id`) REFERENCES `{TABLE_PREFIX}fields` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `{TABLE_PREFIX}rows_fields_ibfk_2` FOREIGN KEY (`row_id`) REFERENCES `{TABLE_PREFIX}rows` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `{TABLE_PREFIX}data_fields`
--
ALTER TABLE `{TABLE_PREFIX}data_fields`
  ADD CONSTRAINT `{TABLE_PREFIX}data_fields_ibfk_1` FOREIGN KEY (`message_id`) REFERENCES `{TABLE_PREFIX}data` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `{TABLE_PREFIX}data_fields_ibfk_2` FOREIGN KEY (`field_id`) REFERENCES `{TABLE_PREFIX}fields` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `{TABLE_PREFIX}data_fields_ibfk_3` FOREIGN KEY (`form_id`) REFERENCES `{TABLE_PREFIX}forms` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;